package com.ankaibei.workFlow.webadmin.ankaibei.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author
 * @version 1.0
 * @description:工时详细记录表
 * @date 2022/9/21 14:28
 */
@Entity
@Table(name = "man_hour_job_info", schema = "ankaibei", catalog = "")
public class ManHourJobInfo {

    /**
     * 工时记录主键
     */

    @Id
    @Column(name = "hour_id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer hourId;
    /**
     * 主表主键
     */
    @Column(name = "man_id")
    private Integer manId;
    /**
     * 工作日期
     */
    @Column(name = "manufacture_date")
    private Date manufactureDate;

    /**
     * 工作时长（默认一天,小数点后只留1位）
     */
    @Column(name = "day")
    private BigDecimal day;
    /**
     * 工作内容
     */
    @Column(name = "job_content")
    private String jobContent;

    public ManHourJobInfo() {
    }


    public Integer getHourId() {
        return hourId;
    }

    public void setHourId(Integer hourId) {
        this.hourId = hourId;
    }


    public Integer getManId() {
        return manId;
    }

    public void setManId(Integer manId) {
        this.manId = manId;
    }


    public Date getManufactureDate() {
        return manufactureDate;
    }

    public void setManufactureDate(Date manufactureDate) {
        this.manufactureDate = manufactureDate;
    }

    public BigDecimal getDay() {
        return day;
    }

    public void setDay(BigDecimal day) {
        this.day = day;
    }

    public String getJobContent() {
        return jobContent;
    }

    public void setJobContent(String jobContent) {
        this.jobContent = jobContent;
    }

    @Override
    public String toString() {
        return "ManHourJobInfo{" +
                "hourId=" + hourId +
                ", manId=" + manId +
                ", manufactureDate=" + manufactureDate +
                ", day=" + day +
                ", jobContent='" + jobContent + '\'' +
                '}';
    }

    public ManHourJobInfo(Integer hourId, Integer manId, Date manufactureDate, BigDecimal day, String jobContent) {
        this.hourId = hourId;
        this.manId = manId;
        this.manufactureDate = manufactureDate;
        this.day = day;
        this.jobContent = jobContent;
    }
}
