package com.ankaibei.workFlow.webadmin.ankaibei.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.util.Date;

/**
 * @author
 * @version 1.0
 * @description:项目组表
 * @date 2022/9/5 14:37
 */
@Builder(toBuilder = true)
@NoArgsConstructor
@AllArgsConstructor
@Entity
@Table(name = "project_team_info")
public class ProjectTeamInfoEntity {

    /**
     * 项目组id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "project_team_id")
    private Integer projectTeamId;
    /**
     * 项目id
     */
    @Column(name = "project_id")
    private String projectId;

    /**
     * 项目名称
     */
    @Transient
    @TableField(exist = false)
    private String projectName;
    /**
     * 创建时间
     */
    @Column(name = "create_date")
    private Date createDate;
    /**
     * 项目组名称
     */
    @Column(name = "project_team_name")
    private String projectTeamName;

    public Integer getProjectTeamId() {
        return projectTeamId;
    }

    public void setProjectTeamId(Integer projectTeamId) {
        this.projectTeamId = projectTeamId;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getProjectTeamName() {
        return projectTeamName;
    }

    public void setProjectTeamName(String projectTeamName) {
        this.projectTeamName = projectTeamName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @Override
    public String toString() {
        return "ProjectTeamInfoEntity{" +
                "projectTeamId=" + projectTeamId +
                ", projectId='" + projectId + '\'' +
                ", createDate='" + createDate + '\'' +
                ", projectTeamName='" + projectTeamName + '\'' +
                '}';
    }
}
