package com.ankaibei.workFlow.webadmin.ankaibei.entity;

import javax.persistence.*;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author
 * @version 1.0
 * @description:采购费表
 * @date 2022/9/21 14:28
 */
@Entity
@Table(name = "purchase_info", schema = "ankaibei", catalog = "")
public class PurchaseInfoEntity {
    private Integer purchaseId;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 采购日期
     */
    private Date purchaseDate;
    /**
     * 采购信息
     */
    private String purchaseMessage;
    /**
     * 创建用户
     */
    private String createUser;

    /**
     * 总金额
     */
    private BigDecimal totalMoney;
    /**
     * 工作流任务处理类型
     */
    private Integer flowTaskStatus;
    /**
     * 记录的创建时间
     */
    private Date createTime;


    @Basic
    @Column(name = "create_time")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Basic
    @Column(name = "flow_task_status")
    public Integer getFlowTaskStatus() {
        return flowTaskStatus;
    }

    public void setFlowTaskStatus(Integer flowTaskStatus) {
        this.flowTaskStatus = flowTaskStatus;
    }

    @Id
    @Column(name = "purchase_id")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    public Integer getPurchaseId() {
        return purchaseId;
    }

    public void setPurchaseId(Integer purchaseId) {
        this.purchaseId = purchaseId;
    }

    @Basic
    @Column(name = "project_name")
    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @Basic
    @Column(name = "purchase_date")
    public Date getPurchaseDate() {
        return purchaseDate;
    }

    public void setPurchaseDate(Date purchaseDate) {
        this.purchaseDate = purchaseDate;
    }

    @Basic
    @Column(name = "purchase_message")
    public String getPurchaseMessage() {
        return purchaseMessage;
    }

    public void setPurchaseMessage(String purchaseMessage) {
        this.purchaseMessage = purchaseMessage;
    }

    @Basic
    @Column(name = "create_user")
    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Basic
    @Column(name = "total_money")
    public BigDecimal getTotalMoney() {
        return totalMoney;
    }

    public void setTotalMoney(BigDecimal createUser) {
        this.totalMoney = createUser;
    }

    @Override
    public String toString() {
        return "PurchaseInfoEntity{" +
                "purchaseId=" + purchaseId +
                ", projectName='" + projectName + '\'' +
                ", purchaseDate=" + purchaseDate +
                ", purchaseMessage='" + purchaseMessage + '\'' +
                ", createUser='" + createUser + '\'' +
                '}';
    }
}
