package com.ankaibei.workFlow.webadmin.ankaibei.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author bbb
 * @version 1.0
 * @description: 餐饮费用记录
 * @date 2022/9/26 16:05
 */
@Data
public class RepastExpenseVo implements Serializable {
    private int id;
    private String projectName;
    private String applicant;
    private List<RepastExpenseSubject> subject;
    private BigDecimal totalMoney;


    @Data
    public static class RepastExpenseSubject {
        //金额，参与人员， 用餐时间，备注
        private BigDecimal amount;
        private String entourage;
        @JsonFormat(timezone = "UTC", pattern = "yyyy-MM-dd HH:mm:ss")
        private Date eatDate;
        private String remark;
        //发票(存上传发票地址)
        private String invoice;
    }

}
