package com.ankaibei.workFlow.webadmin.ankaibei.vo;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.springframework.web.multipart.MultipartFile;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author
 * @version 1.0
 * @description:其他费用申请表
 * @date 2022/9/21 14:28
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class RestsInfoVo extends BaseVo {
    private Integer restsId;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 时间
     */
    private Date createDate;
    /**
     * 其他信息
     */
    private List<RestsMessage> restsMessage;
    /**
     * 创建用户
     */
    private String createUser;
    /**
     * 总金额
     */
    private BigDecimal totalMoney;

    @Data
    @NoArgsConstructor
    public static class RestsMessage {
        //费用明细
        private String costBreakdown;
        //数量
        private Integer restsNumber;
        //金额
        private BigDecimal restsMoney;
        //规格
        private String specification;
        //发票(存上传发票地址)
        private String invoice;
        //备注
        private String remark;
    }
}
