package com.ankaibei.workFlow.webadmin.ankaibei.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author
 * @version 1.0
 * @description:交通费用记录
 * @date 2022/9/26 16:05
 */

@Data
public class TrafficExpenseVo implements Serializable {
    private int id;
    private String projectName;
    private String applicant;
    private List<TrafficExpenseSubject> subject;
    private BigDecimal totalMoney;

    @Data
    public static class TrafficExpenseSubject {
        //交通记录的主题信息，包含（费用明细[交通工具]，随行人员
        private String vehicle;
        private String entourage;
        // ，始发地，目的地，开始时间，结束时间，消费金额）
        private String origin;
        private String destination;
        @JsonFormat(timezone = "UTC", pattern = "yyyy-MM-dd HH:mm:ss")
        private Date beginTime;
        @JsonFormat(timezone = "UTC", pattern = "yyyy-MM-dd HH:mm:ss")
        private Date endTime;
        private BigDecimal amount;
        //备注
        private String remark;
        //发票(存上传发票地址)
        private String invoice;
    }
}
