-- ----------------------------
-- 这里包含流程引擎自带的数据表，以及橙单工作流模块内置的zz_flow开头的数据表。
-- ----------------------------

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for ACT_EVT_LOG
-- ----------------------------
DROP TABLE IF EXISTS `ACT_EVT_LOG`;
CREATE TABLE `ACT_EVT_LOG`
(
    `LOG_NR_`       bigint(20)   NOT NULL AUTO_INCREMENT,
    `TYPE_`         varchar(64) COLLATE utf8_bin  DEFAULT NULL,
    `PROC_DEF_ID_`  varchar(64) COLLATE utf8_bin  DEFAULT NULL,
    `PROC_INST_ID_` varchar(64) COLLATE utf8_bin  DEFAULT NULL,
    `EXECUTION_ID_` varchar(64) COLLATE utf8_bin  DEFAULT NULL,
    `TASK_ID_`      varchar(64) COLLATE utf8_bin  DEFAULT NULL,
    `TIME_STAMP_`   timestamp(3) NOT NULL         DEFAULT CURRENT_TIMESTAMP(3) ON UPDATE CURRENT_TIMESTAMP(3),
    `USER_ID_`      varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `DATA_`         longblob,
    `LOCK_OWNER_`   varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `LOCK_TIME_`    timestamp(3) NULL             DEFAULT NULL,
    `IS_PROCESSED_` tinyint(4)                    DEFAULT '0',
    PRIMARY KEY (`LOG_NR_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_GE_BYTEARRAY
-- ----------------------------
DROP TABLE IF EXISTS `ACT_GE_BYTEARRAY`;
CREATE TABLE `ACT_GE_BYTEARRAY`
(
    `ID_`            varchar(64) COLLATE utf8_bin NOT NULL,
    `REV_`           int(11)                       DEFAULT NULL,
    `NAME_`          varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `DEPLOYMENT_ID_` varchar(64) COLLATE utf8_bin  DEFAULT NULL,
    `BYTES_`         longblob,
    `GENERATED_`     tinyint(4)                    DEFAULT NULL,
    PRIMARY KEY (`ID_`),
    KEY `ACT_FK_BYTEARR_DEPL` (`DEPLOYMENT_ID_`),
    CONSTRAINT `ACT_FK_BYTEARR_DEPL` FOREIGN KEY (`DEPLOYMENT_ID_`) REFERENCES `ACT_RE_DEPLOYMENT` (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_GE_PROPERTY
-- ----------------------------
DROP TABLE IF EXISTS `ACT_GE_PROPERTY`;
CREATE TABLE `ACT_GE_PROPERTY`
(
    `NAME_`  varchar(64) COLLATE utf8_bin NOT NULL,
    `VALUE_` varchar(300) COLLATE utf8_bin DEFAULT NULL,
    `REV_`   int(11)                       DEFAULT NULL,
    PRIMARY KEY (`NAME_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Records of ACT_GE_PROPERTY
-- ----------------------------
BEGIN;
INSERT INTO `ACT_GE_PROPERTY`
VALUES ('batch.schema.version', '6.6.0.0', 1);
INSERT INTO `ACT_GE_PROPERTY`
VALUES ('cfg.execution-related-entities-count', 'true', 1);
INSERT INTO `ACT_GE_PROPERTY`
VALUES ('cfg.task-related-entities-count', 'true', 1);
INSERT INTO `ACT_GE_PROPERTY`
VALUES ('common.schema.version', '6.6.0.0', 1);
INSERT INTO `ACT_GE_PROPERTY`
VALUES ('entitylink.schema.version', '6.6.0.0', 1);
INSERT INTO `ACT_GE_PROPERTY`
VALUES ('eventsubscription.schema.version', '6.6.0.0', 1);
INSERT INTO `ACT_GE_PROPERTY`
VALUES ('identitylink.schema.version', '6.6.0.0', 1);
INSERT INTO `ACT_GE_PROPERTY`
VALUES ('job.schema.version', '6.6.0.0', 1);
INSERT INTO `ACT_GE_PROPERTY`
VALUES ('next.dbid', '1', 1);
INSERT INTO `ACT_GE_PROPERTY`
VALUES ('schema.history', 'create(6.6.0.0)', 1);
INSERT INTO `ACT_GE_PROPERTY`
VALUES ('schema.version', '6.6.0.0', 1);
INSERT INTO `ACT_GE_PROPERTY`
VALUES ('task.schema.version', '6.6.0.0', 1);
INSERT INTO `ACT_GE_PROPERTY`
VALUES ('variable.schema.version', '6.6.0.0', 1);
COMMIT;

-- ----------------------------
-- Table structure for ACT_HI_ACTINST
-- ----------------------------
DROP TABLE IF EXISTS `ACT_HI_ACTINST`;
CREATE TABLE `ACT_HI_ACTINST`
(
    `ID_`                varchar(64) COLLATE utf8_bin  NOT NULL,
    `REV_`               int(11)                        DEFAULT '1',
    `PROC_DEF_ID_`       varchar(64) COLLATE utf8_bin  NOT NULL,
    `PROC_INST_ID_`      varchar(64) COLLATE utf8_bin  NOT NULL,
    `EXECUTION_ID_`      varchar(64) COLLATE utf8_bin  NOT NULL,
    `ACT_ID_`            varchar(255) COLLATE utf8_bin NOT NULL,
    `TASK_ID_`           varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `CALL_PROC_INST_ID_` varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `ACT_NAME_`          varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `ACT_TYPE_`          varchar(255) COLLATE utf8_bin NOT NULL,
    `ASSIGNEE_`          varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `START_TIME_`        datetime(3)                   NOT NULL,
    `END_TIME_`          datetime(3)                    DEFAULT NULL,
    `TRANSACTION_ORDER_` int(11)                        DEFAULT NULL,
    `DURATION_`          bigint(20)                     DEFAULT NULL,
    `DELETE_REASON_`     varchar(4000) COLLATE utf8_bin DEFAULT NULL,
    `TENANT_ID_`         varchar(255) COLLATE utf8_bin  DEFAULT '',
    PRIMARY KEY (`ID_`),
    KEY `ACT_IDX_HI_ACT_INST_START` (`START_TIME_`),
    KEY `ACT_IDX_HI_ACT_INST_END` (`END_TIME_`),
    KEY `ACT_IDX_HI_ACT_INST_PROCINST` (`PROC_INST_ID_`, `ACT_ID_`),
    KEY `ACT_IDX_HI_ACT_INST_EXEC` (`EXECUTION_ID_`, `ACT_ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_HI_ATTACHMENT
-- ----------------------------
DROP TABLE IF EXISTS `ACT_HI_ATTACHMENT`;
CREATE TABLE `ACT_HI_ATTACHMENT`
(
    `ID_`           varchar(64) COLLATE utf8_bin NOT NULL,
    `REV_`          int(11)                        DEFAULT NULL,
    `USER_ID_`      varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `NAME_`         varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `DESCRIPTION_`  varchar(4000) COLLATE utf8_bin DEFAULT NULL,
    `TYPE_`         varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `TASK_ID_`      varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `PROC_INST_ID_` varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `URL_`          varchar(4000) COLLATE utf8_bin DEFAULT NULL,
    `CONTENT_ID_`   varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `TIME_`         datetime(3)                    DEFAULT NULL,
    PRIMARY KEY (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_HI_COMMENT
-- ----------------------------
DROP TABLE IF EXISTS `ACT_HI_COMMENT`;
CREATE TABLE `ACT_HI_COMMENT`
(
    `ID_`           varchar(64) COLLATE utf8_bin NOT NULL,
    `TYPE_`         varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `TIME_`         datetime(3)                  NOT NULL,
    `USER_ID_`      varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `TASK_ID_`      varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `PROC_INST_ID_` varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `ACTION_`       varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `MESSAGE_`      varchar(4000) COLLATE utf8_bin DEFAULT NULL,
    `FULL_MSG_`     longblob,
    PRIMARY KEY (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_HI_DETAIL
-- ----------------------------
DROP TABLE IF EXISTS `ACT_HI_DETAIL`;
CREATE TABLE `ACT_HI_DETAIL`
(
    `ID_`           varchar(64) COLLATE utf8_bin  NOT NULL,
    `TYPE_`         varchar(255) COLLATE utf8_bin NOT NULL,
    `PROC_INST_ID_` varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `EXECUTION_ID_` varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `TASK_ID_`      varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `ACT_INST_ID_`  varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `NAME_`         varchar(255) COLLATE utf8_bin NOT NULL,
    `VAR_TYPE_`     varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `REV_`          int(11)                        DEFAULT NULL,
    `TIME_`         datetime(3)                   NOT NULL,
    `BYTEARRAY_ID_` varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `DOUBLE_`       double                         DEFAULT NULL,
    `LONG_`         bigint(20)                     DEFAULT NULL,
    `TEXT_`         varchar(4000) COLLATE utf8_bin DEFAULT NULL,
    `TEXT2_`        varchar(4000) COLLATE utf8_bin DEFAULT NULL,
    PRIMARY KEY (`ID_`),
    KEY `ACT_IDX_HI_DETAIL_PROC_INST` (`PROC_INST_ID_`),
    KEY `ACT_IDX_HI_DETAIL_ACT_INST` (`ACT_INST_ID_`),
    KEY `ACT_IDX_HI_DETAIL_TIME` (`TIME_`),
    KEY `ACT_IDX_HI_DETAIL_NAME` (`NAME_`),
    KEY `ACT_IDX_HI_DETAIL_TASK_ID` (`TASK_ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_HI_ENTITYLINK
-- ----------------------------
DROP TABLE IF EXISTS `ACT_HI_ENTITYLINK`;
CREATE TABLE `ACT_HI_ENTITYLINK`
(
    `ID_`                      varchar(64) COLLATE utf8_bin NOT NULL,
    `LINK_TYPE_`               varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `CREATE_TIME_`             datetime(3)                   DEFAULT NULL,
    `SCOPE_ID_`                varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `SUB_SCOPE_ID_`            varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `SCOPE_TYPE_`              varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `SCOPE_DEFINITION_ID_`     varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `PARENT_ELEMENT_ID_`       varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `REF_SCOPE_ID_`            varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `REF_SCOPE_TYPE_`          varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `REF_SCOPE_DEFINITION_ID_` varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `ROOT_SCOPE_ID_`           varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `ROOT_SCOPE_TYPE_`         varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `HIERARCHY_TYPE_`          varchar(255) COLLATE utf8_bin DEFAULT NULL,
    PRIMARY KEY (`ID_`),
    KEY `ACT_IDX_HI_ENT_LNK_SCOPE` (`SCOPE_ID_`, `SCOPE_TYPE_`, `LINK_TYPE_`),
    KEY `ACT_IDX_HI_ENT_LNK_ROOT_SCOPE` (`ROOT_SCOPE_ID_`, `ROOT_SCOPE_TYPE_`, `LINK_TYPE_`),
    KEY `ACT_IDX_HI_ENT_LNK_SCOPE_DEF` (`SCOPE_DEFINITION_ID_`, `SCOPE_TYPE_`, `LINK_TYPE_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_HI_IDENTITYLINK
-- ----------------------------
DROP TABLE IF EXISTS `ACT_HI_IDENTITYLINK`;
CREATE TABLE `ACT_HI_IDENTITYLINK`
(
    `ID_`                  varchar(64) COLLATE utf8_bin NOT NULL,
    `GROUP_ID_`            varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `TYPE_`                varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `USER_ID_`             varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `TASK_ID_`             varchar(64) COLLATE utf8_bin  DEFAULT NULL,
    `CREATE_TIME_`         datetime(3)                   DEFAULT NULL,
    `PROC_INST_ID_`        varchar(64) COLLATE utf8_bin  DEFAULT NULL,
    `SCOPE_ID_`            varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `SUB_SCOPE_ID_`        varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `SCOPE_TYPE_`          varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `SCOPE_DEFINITION_ID_` varchar(255) COLLATE utf8_bin DEFAULT NULL,
    PRIMARY KEY (`ID_`),
    KEY `ACT_IDX_HI_IDENT_LNK_USER` (`USER_ID_`),
    KEY `ACT_IDX_HI_IDENT_LNK_SCOPE` (`SCOPE_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_IDX_HI_IDENT_LNK_SUB_SCOPE` (`SUB_SCOPE_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_IDX_HI_IDENT_LNK_SCOPE_DEF` (`SCOPE_DEFINITION_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_IDX_HI_IDENT_LNK_TASK` (`TASK_ID_`),
    KEY `ACT_IDX_HI_IDENT_LNK_PROCINST` (`PROC_INST_ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_HI_PROCINST
-- ----------------------------
DROP TABLE IF EXISTS `ACT_HI_PROCINST`;
CREATE TABLE `ACT_HI_PROCINST`
(
    `ID_`                        varchar(64) COLLATE utf8_bin NOT NULL,
    `REV_`                       int(11)                        DEFAULT '1',
    `PROC_INST_ID_`              varchar(64) COLLATE utf8_bin NOT NULL,
    `BUSINESS_KEY_`              varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `PROC_DEF_ID_`               varchar(64) COLLATE utf8_bin NOT NULL,
    `START_TIME_`                datetime(3)                  NOT NULL,
    `END_TIME_`                  datetime(3)                    DEFAULT NULL,
    `DURATION_`                  bigint(20)                     DEFAULT NULL,
    `START_USER_ID_`             varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `START_ACT_ID_`              varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `END_ACT_ID_`                varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `SUPER_PROCESS_INSTANCE_ID_` varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `DELETE_REASON_`             varchar(4000) COLLATE utf8_bin DEFAULT NULL,
    `TENANT_ID_`                 varchar(255) COLLATE utf8_bin  DEFAULT '',
    `NAME_`                      varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `CALLBACK_ID_`               varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `CALLBACK_TYPE_`             varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `REFERENCE_ID_`              varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `REFERENCE_TYPE_`            varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    PRIMARY KEY (`ID_`),
    UNIQUE KEY `PROC_INST_ID_` (`PROC_INST_ID_`),
    KEY `ACT_IDX_HI_PRO_INST_END` (`END_TIME_`),
    KEY `ACT_IDX_HI_PRO_I_BUSKEY` (`BUSINESS_KEY_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_HI_TASKINST
-- ----------------------------
DROP TABLE IF EXISTS `ACT_HI_TASKINST`;
CREATE TABLE `ACT_HI_TASKINST`
(
    `ID_`                       varchar(64) COLLATE utf8_bin NOT NULL,
    `REV_`                      int(11)                        DEFAULT '1',
    `PROC_DEF_ID_`              varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `TASK_DEF_ID_`              varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `TASK_DEF_KEY_`             varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `PROC_INST_ID_`             varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `EXECUTION_ID_`             varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `SCOPE_ID_`                 varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `SUB_SCOPE_ID_`             varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `SCOPE_TYPE_`               varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `SCOPE_DEFINITION_ID_`      varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `PROPAGATED_STAGE_INST_ID_` varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `NAME_`                     varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `PARENT_TASK_ID_`           varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `DESCRIPTION_`              varchar(4000) COLLATE utf8_bin DEFAULT NULL,
    `OWNER_`                    varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `ASSIGNEE_`                 varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `START_TIME_`               datetime(3)                  NOT NULL,
    `CLAIM_TIME_`               datetime(3)                    DEFAULT NULL,
    `END_TIME_`                 datetime(3)                    DEFAULT NULL,
    `DURATION_`                 bigint(20)                     DEFAULT NULL,
    `DELETE_REASON_`            varchar(4000) COLLATE utf8_bin DEFAULT NULL,
    `PRIORITY_`                 int(11)                        DEFAULT NULL,
    `DUE_DATE_`                 datetime(3)                    DEFAULT NULL,
    `FORM_KEY_`                 varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `CATEGORY_`                 varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `TENANT_ID_`                varchar(255) COLLATE utf8_bin  DEFAULT '',
    `LAST_UPDATED_TIME_`        datetime(3)                    DEFAULT NULL,
    PRIMARY KEY (`ID_`),
    KEY `ACT_IDX_HI_TASK_SCOPE` (`SCOPE_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_IDX_HI_TASK_SUB_SCOPE` (`SUB_SCOPE_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_IDX_HI_TASK_SCOPE_DEF` (`SCOPE_DEFINITION_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_IDX_HI_TASK_INST_PROCINST` (`PROC_INST_ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_HI_TSK_LOG
-- ----------------------------
DROP TABLE IF EXISTS `ACT_HI_TSK_LOG`;
CREATE TABLE `ACT_HI_TSK_LOG`
(
    `ID_`                  bigint(20)                   NOT NULL AUTO_INCREMENT,
    `TYPE_`                varchar(64) COLLATE utf8_bin          DEFAULT NULL,
    `TASK_ID_`             varchar(64) COLLATE utf8_bin NOT NULL,
    `TIME_STAMP_`          timestamp(3)                 NOT NULL DEFAULT CURRENT_TIMESTAMP(3) ON UPDATE CURRENT_TIMESTAMP(3),
    `USER_ID_`             varchar(255) COLLATE utf8_bin         DEFAULT NULL,
    `DATA_`                varchar(4000) COLLATE utf8_bin        DEFAULT NULL,
    `EXECUTION_ID_`        varchar(64) COLLATE utf8_bin          DEFAULT NULL,
    `PROC_INST_ID_`        varchar(64) COLLATE utf8_bin          DEFAULT NULL,
    `PROC_DEF_ID_`         varchar(64) COLLATE utf8_bin          DEFAULT NULL,
    `SCOPE_ID_`            varchar(255) COLLATE utf8_bin         DEFAULT NULL,
    `SCOPE_DEFINITION_ID_` varchar(255) COLLATE utf8_bin         DEFAULT NULL,
    `SUB_SCOPE_ID_`        varchar(255) COLLATE utf8_bin         DEFAULT NULL,
    `SCOPE_TYPE_`          varchar(255) COLLATE utf8_bin         DEFAULT NULL,
    `TENANT_ID_`           varchar(255) COLLATE utf8_bin         DEFAULT '',
    PRIMARY KEY (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_HI_VARINST
-- ----------------------------
DROP TABLE IF EXISTS `ACT_HI_VARINST`;
CREATE TABLE `ACT_HI_VARINST`
(
    `ID_`                varchar(64) COLLATE utf8_bin  NOT NULL,
    `REV_`               int(11)                        DEFAULT '1',
    `PROC_INST_ID_`      varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `EXECUTION_ID_`      varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `TASK_ID_`           varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `NAME_`              varchar(255) COLLATE utf8_bin NOT NULL,
    `VAR_TYPE_`          varchar(100) COLLATE utf8_bin  DEFAULT NULL,
    `SCOPE_ID_`          varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `SUB_SCOPE_ID_`      varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `SCOPE_TYPE_`        varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `BYTEARRAY_ID_`      varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `DOUBLE_`            double                         DEFAULT NULL,
    `LONG_`              bigint(20)                     DEFAULT NULL,
    `TEXT_`              varchar(4000) COLLATE utf8_bin DEFAULT NULL,
    `TEXT2_`             varchar(4000) COLLATE utf8_bin DEFAULT NULL,
    `CREATE_TIME_`       datetime(3)                    DEFAULT NULL,
    `LAST_UPDATED_TIME_` datetime(3)                    DEFAULT NULL,
    PRIMARY KEY (`ID_`),
    KEY `ACT_IDX_HI_PROCVAR_NAME_TYPE` (`NAME_`, `VAR_TYPE_`),
    KEY `ACT_IDX_HI_VAR_SCOPE_ID_TYPE` (`SCOPE_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_IDX_HI_VAR_SUB_ID_TYPE` (`SUB_SCOPE_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_IDX_HI_PROCVAR_PROC_INST` (`PROC_INST_ID_`),
    KEY `ACT_IDX_HI_PROCVAR_TASK_ID` (`TASK_ID_`),
    KEY `ACT_IDX_HI_PROCVAR_EXE` (`EXECUTION_ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_ID_BYTEARRAY
-- ----------------------------
DROP TABLE IF EXISTS `ACT_ID_BYTEARRAY`;
CREATE TABLE `ACT_ID_BYTEARRAY`
(
    `ID_`    varchar(64) COLLATE utf8_bin NOT NULL,
    `REV_`   int(11)                       DEFAULT NULL,
    `NAME_`  varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `BYTES_` longblob,
    PRIMARY KEY (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_ID_GROUP
-- ----------------------------
DROP TABLE IF EXISTS `ACT_ID_GROUP`;
CREATE TABLE `ACT_ID_GROUP`
(
    `ID_`   varchar(64) COLLATE utf8_bin NOT NULL,
    `REV_`  int(11)                       DEFAULT NULL,
    `NAME_` varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `TYPE_` varchar(255) COLLATE utf8_bin DEFAULT NULL,
    PRIMARY KEY (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_ID_INFO
-- ----------------------------
DROP TABLE IF EXISTS `ACT_ID_INFO`;
CREATE TABLE `ACT_ID_INFO`
(
    `ID_`        varchar(64) COLLATE utf8_bin NOT NULL,
    `REV_`       int(11)                       DEFAULT NULL,
    `USER_ID_`   varchar(64) COLLATE utf8_bin  DEFAULT NULL,
    `TYPE_`      varchar(64) COLLATE utf8_bin  DEFAULT NULL,
    `KEY_`       varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `VALUE_`     varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `PASSWORD_`  longblob,
    `PARENT_ID_` varchar(255) COLLATE utf8_bin DEFAULT NULL,
    PRIMARY KEY (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_ID_MEMBERSHIP
-- ----------------------------
DROP TABLE IF EXISTS `ACT_ID_MEMBERSHIP`;
CREATE TABLE `ACT_ID_MEMBERSHIP`
(
    `USER_ID_`  varchar(64) COLLATE utf8_bin NOT NULL,
    `GROUP_ID_` varchar(64) COLLATE utf8_bin NOT NULL,
    PRIMARY KEY (`USER_ID_`, `GROUP_ID_`),
    KEY `ACT_FK_MEMB_GROUP` (`GROUP_ID_`),
    CONSTRAINT `ACT_FK_MEMB_GROUP` FOREIGN KEY (`GROUP_ID_`) REFERENCES `ACT_ID_GROUP` (`ID_`),
    CONSTRAINT `ACT_FK_MEMB_USER` FOREIGN KEY (`USER_ID_`) REFERENCES `ACT_ID_USER` (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_ID_PRIV
-- ----------------------------
DROP TABLE IF EXISTS `ACT_ID_PRIV`;
CREATE TABLE `ACT_ID_PRIV`
(
    `ID_`   varchar(64) COLLATE utf8_bin  NOT NULL,
    `NAME_` varchar(255) COLLATE utf8_bin NOT NULL,
    PRIMARY KEY (`ID_`),
    UNIQUE KEY `ACT_UNIQ_PRIV_NAME` (`NAME_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_ID_PRIV_MAPPING
-- ----------------------------
DROP TABLE IF EXISTS `ACT_ID_PRIV_MAPPING`;
CREATE TABLE `ACT_ID_PRIV_MAPPING`
(
    `ID_`       varchar(64) COLLATE utf8_bin NOT NULL,
    `PRIV_ID_`  varchar(64) COLLATE utf8_bin NOT NULL,
    `USER_ID_`  varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `GROUP_ID_` varchar(255) COLLATE utf8_bin DEFAULT NULL,
    PRIMARY KEY (`ID_`),
    KEY `ACT_FK_PRIV_MAPPING` (`PRIV_ID_`),
    KEY `ACT_IDX_PRIV_USER` (`USER_ID_`),
    KEY `ACT_IDX_PRIV_GROUP` (`GROUP_ID_`),
    CONSTRAINT `ACT_FK_PRIV_MAPPING` FOREIGN KEY (`PRIV_ID_`) REFERENCES `ACT_ID_PRIV` (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_ID_PROPERTY
-- ----------------------------
DROP TABLE IF EXISTS `ACT_ID_PROPERTY`;
CREATE TABLE `ACT_ID_PROPERTY`
(
    `NAME_`  varchar(64) COLLATE utf8_bin NOT NULL,
    `VALUE_` varchar(300) COLLATE utf8_bin DEFAULT NULL,
    `REV_`   int(11)                       DEFAULT NULL,
    PRIMARY KEY (`NAME_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Records of ACT_ID_PROPERTY
-- ----------------------------
BEGIN;
INSERT INTO `ACT_ID_PROPERTY`
VALUES ('schema.version', '6.6.0.0', 1);
COMMIT;

-- ----------------------------
-- Table structure for ACT_ID_TOKEN
-- ----------------------------
DROP TABLE IF EXISTS `ACT_ID_TOKEN`;
CREATE TABLE `ACT_ID_TOKEN`
(
    `ID_`          varchar(64) COLLATE utf8_bin NOT NULL,
    `REV_`         int(11)                               DEFAULT NULL,
    `TOKEN_VALUE_` varchar(255) COLLATE utf8_bin         DEFAULT NULL,
    `TOKEN_DATE_`  timestamp(3)                 NOT NULL DEFAULT CURRENT_TIMESTAMP(3) ON UPDATE CURRENT_TIMESTAMP(3),
    `IP_ADDRESS_`  varchar(255) COLLATE utf8_bin         DEFAULT NULL,
    `USER_AGENT_`  varchar(255) COLLATE utf8_bin         DEFAULT NULL,
    `USER_ID_`     varchar(255) COLLATE utf8_bin         DEFAULT NULL,
    `TOKEN_DATA_`  varchar(2000) COLLATE utf8_bin        DEFAULT NULL,
    PRIMARY KEY (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_ID_USER
-- ----------------------------
DROP TABLE IF EXISTS `ACT_ID_USER`;
CREATE TABLE `ACT_ID_USER`
(
    `ID_`           varchar(64) COLLATE utf8_bin NOT NULL,
    `REV_`          int(11)                       DEFAULT NULL,
    `FIRST_`        varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `LAST_`         varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `DISPLAY_NAME_` varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `EMAIL_`        varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `PWD_`          varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `PICTURE_ID_`   varchar(64) COLLATE utf8_bin  DEFAULT NULL,
    `TENANT_ID_`    varchar(255) COLLATE utf8_bin DEFAULT '',
    PRIMARY KEY (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_PROCDEF_INFO
-- ----------------------------
DROP TABLE IF EXISTS `ACT_PROCDEF_INFO`;
CREATE TABLE `ACT_PROCDEF_INFO`
(
    `ID_`           varchar(64) COLLATE utf8_bin NOT NULL,
    `PROC_DEF_ID_`  varchar(64) COLLATE utf8_bin NOT NULL,
    `REV_`          int(11)                      DEFAULT NULL,
    `INFO_JSON_ID_` varchar(64) COLLATE utf8_bin DEFAULT NULL,
    PRIMARY KEY (`ID_`),
    UNIQUE KEY `ACT_UNIQ_INFO_PROCDEF` (`PROC_DEF_ID_`),
    KEY `ACT_IDX_INFO_PROCDEF` (`PROC_DEF_ID_`),
    KEY `ACT_FK_INFO_JSON_BA` (`INFO_JSON_ID_`),
    CONSTRAINT `ACT_FK_INFO_JSON_BA` FOREIGN KEY (`INFO_JSON_ID_`) REFERENCES `ACT_GE_BYTEARRAY` (`ID_`),
    CONSTRAINT `ACT_FK_INFO_PROCDEF` FOREIGN KEY (`PROC_DEF_ID_`) REFERENCES `ACT_RE_PROCDEF` (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_RE_DEPLOYMENT
-- ----------------------------
DROP TABLE IF EXISTS `ACT_RE_DEPLOYMENT`;
CREATE TABLE `ACT_RE_DEPLOYMENT`
(
    `ID_`                   varchar(64) COLLATE utf8_bin NOT NULL,
    `NAME_`                 varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `CATEGORY_`             varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `KEY_`                  varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `TENANT_ID_`            varchar(255) COLLATE utf8_bin     DEFAULT '',
    `DEPLOY_TIME_`          timestamp(3)                 NULL DEFAULT NULL,
    `DERIVED_FROM_`         varchar(64) COLLATE utf8_bin      DEFAULT NULL,
    `DERIVED_FROM_ROOT_`    varchar(64) COLLATE utf8_bin      DEFAULT NULL,
    `PARENT_DEPLOYMENT_ID_` varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `ENGINE_VERSION_`       varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    PRIMARY KEY (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_RE_MODEL
-- ----------------------------
DROP TABLE IF EXISTS `ACT_RE_MODEL`;
CREATE TABLE `ACT_RE_MODEL`
(
    `ID_`                           varchar(64) COLLATE utf8_bin NOT NULL,
    `REV_`                          int(11)                           DEFAULT NULL,
    `NAME_`                         varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `KEY_`                          varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `CATEGORY_`                     varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `CREATE_TIME_`                  timestamp(3)                 NULL DEFAULT NULL,
    `LAST_UPDATE_TIME_`             timestamp(3)                 NULL DEFAULT NULL,
    `VERSION_`                      int(11)                           DEFAULT NULL,
    `META_INFO_`                    varchar(4000) COLLATE utf8_bin    DEFAULT NULL,
    `DEPLOYMENT_ID_`                varchar(64) COLLATE utf8_bin      DEFAULT NULL,
    `EDITOR_SOURCE_VALUE_ID_`       varchar(64) COLLATE utf8_bin      DEFAULT NULL,
    `EDITOR_SOURCE_EXTRA_VALUE_ID_` varchar(64) COLLATE utf8_bin      DEFAULT NULL,
    `TENANT_ID_`                    varchar(255) COLLATE utf8_bin     DEFAULT '',
    PRIMARY KEY (`ID_`),
    KEY `ACT_FK_MODEL_SOURCE` (`EDITOR_SOURCE_VALUE_ID_`),
    KEY `ACT_FK_MODEL_SOURCE_EXTRA` (`EDITOR_SOURCE_EXTRA_VALUE_ID_`),
    KEY `ACT_FK_MODEL_DEPLOYMENT` (`DEPLOYMENT_ID_`),
    CONSTRAINT `ACT_FK_MODEL_DEPLOYMENT` FOREIGN KEY (`DEPLOYMENT_ID_`) REFERENCES `ACT_RE_DEPLOYMENT` (`ID_`),
    CONSTRAINT `ACT_FK_MODEL_SOURCE` FOREIGN KEY (`EDITOR_SOURCE_VALUE_ID_`) REFERENCES `ACT_GE_BYTEARRAY` (`ID_`),
    CONSTRAINT `ACT_FK_MODEL_SOURCE_EXTRA` FOREIGN KEY (`EDITOR_SOURCE_EXTRA_VALUE_ID_`) REFERENCES `ACT_GE_BYTEARRAY` (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_RE_PROCDEF
-- ----------------------------
DROP TABLE IF EXISTS `ACT_RE_PROCDEF`;
CREATE TABLE `ACT_RE_PROCDEF`
(
    `ID_`                     varchar(64) COLLATE utf8_bin  NOT NULL,
    `REV_`                    int(11)                                DEFAULT NULL,
    `CATEGORY_`               varchar(255) COLLATE utf8_bin          DEFAULT NULL,
    `NAME_`                   varchar(255) COLLATE utf8_bin          DEFAULT NULL,
    `KEY_`                    varchar(255) COLLATE utf8_bin NOT NULL,
    `VERSION_`                int(11)                       NOT NULL,
    `DEPLOYMENT_ID_`          varchar(64) COLLATE utf8_bin           DEFAULT NULL,
    `RESOURCE_NAME_`          varchar(4000) COLLATE utf8_bin         DEFAULT NULL,
    `DGRM_RESOURCE_NAME_`     varchar(4000) COLLATE utf8_bin         DEFAULT NULL,
    `DESCRIPTION_`            varchar(4000) COLLATE utf8_bin         DEFAULT NULL,
    `HAS_START_FORM_KEY_`     tinyint(4)                             DEFAULT NULL,
    `HAS_GRAPHICAL_NOTATION_` tinyint(4)                             DEFAULT NULL,
    `SUSPENSION_STATE_`       int(11)                                DEFAULT NULL,
    `TENANT_ID_`              varchar(255) COLLATE utf8_bin          DEFAULT '',
    `ENGINE_VERSION_`         varchar(255) COLLATE utf8_bin          DEFAULT NULL,
    `DERIVED_FROM_`           varchar(64) COLLATE utf8_bin           DEFAULT NULL,
    `DERIVED_FROM_ROOT_`      varchar(64) COLLATE utf8_bin           DEFAULT NULL,
    `DERIVED_VERSION_`        int(11)                       NOT NULL DEFAULT '0',
    PRIMARY KEY (`ID_`),
    UNIQUE KEY `ACT_UNIQ_PROCDEF` (`KEY_`, `VERSION_`, `DERIVED_VERSION_`, `TENANT_ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_RU_ACTINST
-- ----------------------------
DROP TABLE IF EXISTS `ACT_RU_ACTINST`;
CREATE TABLE `ACT_RU_ACTINST`
(
    `ID_`                varchar(64) COLLATE utf8_bin  NOT NULL,
    `REV_`               int(11)                        DEFAULT '1',
    `PROC_DEF_ID_`       varchar(64) COLLATE utf8_bin  NOT NULL,
    `PROC_INST_ID_`      varchar(64) COLLATE utf8_bin  NOT NULL,
    `EXECUTION_ID_`      varchar(64) COLLATE utf8_bin  NOT NULL,
    `ACT_ID_`            varchar(255) COLLATE utf8_bin NOT NULL,
    `TASK_ID_`           varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `CALL_PROC_INST_ID_` varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `ACT_NAME_`          varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `ACT_TYPE_`          varchar(255) COLLATE utf8_bin NOT NULL,
    `ASSIGNEE_`          varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `START_TIME_`        datetime(3)                   NOT NULL,
    `END_TIME_`          datetime(3)                    DEFAULT NULL,
    `DURATION_`          bigint(20)                     DEFAULT NULL,
    `TRANSACTION_ORDER_` int(11)                        DEFAULT NULL,
    `DELETE_REASON_`     varchar(4000) COLLATE utf8_bin DEFAULT NULL,
    `TENANT_ID_`         varchar(255) COLLATE utf8_bin  DEFAULT '',
    PRIMARY KEY (`ID_`),
    KEY `ACT_IDX_RU_ACTI_START` (`START_TIME_`),
    KEY `ACT_IDX_RU_ACTI_END` (`END_TIME_`),
    KEY `ACT_IDX_RU_ACTI_PROC` (`PROC_INST_ID_`),
    KEY `ACT_IDX_RU_ACTI_PROC_ACT` (`PROC_INST_ID_`, `ACT_ID_`),
    KEY `ACT_IDX_RU_ACTI_EXEC` (`EXECUTION_ID_`),
    KEY `ACT_IDX_RU_ACTI_EXEC_ACT` (`EXECUTION_ID_`, `ACT_ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_RU_DEADLETTER_JOB
-- ----------------------------
DROP TABLE IF EXISTS `ACT_RU_DEADLETTER_JOB`;
CREATE TABLE `ACT_RU_DEADLETTER_JOB`
(
    `ID_`                  varchar(64) COLLATE utf8_bin  NOT NULL,
    `REV_`                 int(11)                            DEFAULT NULL,
    `CATEGORY_`            varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `TYPE_`                varchar(255) COLLATE utf8_bin NOT NULL,
    `EXCLUSIVE_`           tinyint(1)                         DEFAULT NULL,
    `EXECUTION_ID_`        varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `PROCESS_INSTANCE_ID_` varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `PROC_DEF_ID_`         varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `ELEMENT_ID_`          varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `ELEMENT_NAME_`        varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `SCOPE_ID_`            varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `SUB_SCOPE_ID_`        varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `SCOPE_TYPE_`          varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `SCOPE_DEFINITION_ID_` varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `CORRELATION_ID_`      varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `EXCEPTION_STACK_ID_`  varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `EXCEPTION_MSG_`       varchar(4000) COLLATE utf8_bin     DEFAULT NULL,
    `DUEDATE_`             timestamp(3)                  NULL DEFAULT NULL,
    `REPEAT_`              varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `HANDLER_TYPE_`        varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `HANDLER_CFG_`         varchar(4000) COLLATE utf8_bin     DEFAULT NULL,
    `CUSTOM_VALUES_ID_`    varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `CREATE_TIME_`         timestamp(3)                  NULL DEFAULT NULL,
    `TENANT_ID_`           varchar(255) COLLATE utf8_bin      DEFAULT '',
    PRIMARY KEY (`ID_`),
    KEY `ACT_IDX_DEADLETTER_JOB_EXCEPTION_STACK_ID` (`EXCEPTION_STACK_ID_`),
    KEY `ACT_IDX_DEADLETTER_JOB_CUSTOM_VALUES_ID` (`CUSTOM_VALUES_ID_`),
    KEY `ACT_IDX_DEADLETTER_JOB_CORRELATION_ID` (`CORRELATION_ID_`),
    KEY `ACT_IDX_DJOB_SCOPE` (`SCOPE_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_IDX_DJOB_SUB_SCOPE` (`SUB_SCOPE_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_IDX_DJOB_SCOPE_DEF` (`SCOPE_DEFINITION_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_FK_DEADLETTER_JOB_EXECUTION` (`EXECUTION_ID_`),
    KEY `ACT_FK_DEADLETTER_JOB_PROCESS_INSTANCE` (`PROCESS_INSTANCE_ID_`),
    KEY `ACT_FK_DEADLETTER_JOB_PROC_DEF` (`PROC_DEF_ID_`),
    CONSTRAINT `ACT_FK_DEADLETTER_JOB_CUSTOM_VALUES` FOREIGN KEY (`CUSTOM_VALUES_ID_`) REFERENCES `ACT_GE_BYTEARRAY` (`ID_`),
    CONSTRAINT `ACT_FK_DEADLETTER_JOB_EXCEPTION` FOREIGN KEY (`EXCEPTION_STACK_ID_`) REFERENCES `ACT_GE_BYTEARRAY` (`ID_`),
    CONSTRAINT `ACT_FK_DEADLETTER_JOB_EXECUTION` FOREIGN KEY (`EXECUTION_ID_`) REFERENCES `ACT_RU_EXECUTION` (`ID_`),
    CONSTRAINT `ACT_FK_DEADLETTER_JOB_PROCESS_INSTANCE` FOREIGN KEY (`PROCESS_INSTANCE_ID_`) REFERENCES `ACT_RU_EXECUTION` (`ID_`),
    CONSTRAINT `ACT_FK_DEADLETTER_JOB_PROC_DEF` FOREIGN KEY (`PROC_DEF_ID_`) REFERENCES `ACT_RE_PROCDEF` (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_RU_ENTITYLINK
-- ----------------------------
DROP TABLE IF EXISTS `ACT_RU_ENTITYLINK`;
CREATE TABLE `ACT_RU_ENTITYLINK`
(
    `ID_`                      varchar(64) COLLATE utf8_bin NOT NULL,
    `REV_`                     int(11)                       DEFAULT NULL,
    `CREATE_TIME_`             datetime(3)                   DEFAULT NULL,
    `LINK_TYPE_`               varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `SCOPE_ID_`                varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `SUB_SCOPE_ID_`            varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `SCOPE_TYPE_`              varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `SCOPE_DEFINITION_ID_`     varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `PARENT_ELEMENT_ID_`       varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `REF_SCOPE_ID_`            varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `REF_SCOPE_TYPE_`          varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `REF_SCOPE_DEFINITION_ID_` varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `ROOT_SCOPE_ID_`           varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `ROOT_SCOPE_TYPE_`         varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `HIERARCHY_TYPE_`          varchar(255) COLLATE utf8_bin DEFAULT NULL,
    PRIMARY KEY (`ID_`),
    KEY `ACT_IDX_ENT_LNK_SCOPE` (`SCOPE_ID_`, `SCOPE_TYPE_`, `LINK_TYPE_`),
    KEY `ACT_IDX_ENT_LNK_ROOT_SCOPE` (`ROOT_SCOPE_ID_`, `ROOT_SCOPE_TYPE_`, `LINK_TYPE_`),
    KEY `ACT_IDX_ENT_LNK_SCOPE_DEF` (`SCOPE_DEFINITION_ID_`, `SCOPE_TYPE_`, `LINK_TYPE_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_RU_EVENT_SUBSCR
-- ----------------------------
DROP TABLE IF EXISTS `ACT_RU_EVENT_SUBSCR`;
CREATE TABLE `ACT_RU_EVENT_SUBSCR`
(
    `ID_`                  varchar(64) COLLATE utf8_bin  NOT NULL,
    `REV_`                 int(11)                                DEFAULT NULL,
    `EVENT_TYPE_`          varchar(255) COLLATE utf8_bin NOT NULL,
    `EVENT_NAME_`          varchar(255) COLLATE utf8_bin          DEFAULT NULL,
    `EXECUTION_ID_`        varchar(64) COLLATE utf8_bin           DEFAULT NULL,
    `PROC_INST_ID_`        varchar(64) COLLATE utf8_bin           DEFAULT NULL,
    `ACTIVITY_ID_`         varchar(64) COLLATE utf8_bin           DEFAULT NULL,
    `CONFIGURATION_`       varchar(255) COLLATE utf8_bin          DEFAULT NULL,
    `CREATED_`             timestamp(3)                  NOT NULL DEFAULT CURRENT_TIMESTAMP(3),
    `PROC_DEF_ID_`         varchar(64) COLLATE utf8_bin           DEFAULT NULL,
    `SUB_SCOPE_ID_`        varchar(64) COLLATE utf8_bin           DEFAULT NULL,
    `SCOPE_ID_`            varchar(64) COLLATE utf8_bin           DEFAULT NULL,
    `SCOPE_DEFINITION_ID_` varchar(64) COLLATE utf8_bin           DEFAULT NULL,
    `SCOPE_TYPE_`          varchar(64) COLLATE utf8_bin           DEFAULT NULL,
    `TENANT_ID_`           varchar(255) COLLATE utf8_bin          DEFAULT '',
    PRIMARY KEY (`ID_`),
    KEY `ACT_IDX_EVENT_SUBSCR_CONFIG_` (`CONFIGURATION_`),
    KEY `ACT_FK_EVENT_EXEC` (`EXECUTION_ID_`),
    CONSTRAINT `ACT_FK_EVENT_EXEC` FOREIGN KEY (`EXECUTION_ID_`) REFERENCES `ACT_RU_EXECUTION` (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_RU_EXECUTION
-- ----------------------------
DROP TABLE IF EXISTS `ACT_RU_EXECUTION`;
CREATE TABLE `ACT_RU_EXECUTION`
(
    `ID_`                        varchar(64) COLLATE utf8_bin NOT NULL,
    `REV_`                       int(11)                           DEFAULT NULL,
    `PROC_INST_ID_`              varchar(64) COLLATE utf8_bin      DEFAULT NULL,
    `BUSINESS_KEY_`              varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `PARENT_ID_`                 varchar(64) COLLATE utf8_bin      DEFAULT NULL,
    `PROC_DEF_ID_`               varchar(64) COLLATE utf8_bin      DEFAULT NULL,
    `SUPER_EXEC_`                varchar(64) COLLATE utf8_bin      DEFAULT NULL,
    `ROOT_PROC_INST_ID_`         varchar(64) COLLATE utf8_bin      DEFAULT NULL,
    `ACT_ID_`                    varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `IS_ACTIVE_`                 tinyint(4)                        DEFAULT NULL,
    `IS_CONCURRENT_`             tinyint(4)                        DEFAULT NULL,
    `IS_SCOPE_`                  tinyint(4)                        DEFAULT NULL,
    `IS_EVENT_SCOPE_`            tinyint(4)                        DEFAULT NULL,
    `IS_MI_ROOT_`                tinyint(4)                        DEFAULT NULL,
    `SUSPENSION_STATE_`          int(11)                           DEFAULT NULL,
    `CACHED_ENT_STATE_`          int(11)                           DEFAULT NULL,
    `TENANT_ID_`                 varchar(255) COLLATE utf8_bin     DEFAULT '',
    `NAME_`                      varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `START_ACT_ID_`              varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `START_TIME_`                datetime(3)                       DEFAULT NULL,
    `START_USER_ID_`             varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `LOCK_TIME_`                 timestamp(3)                 NULL DEFAULT NULL,
    `LOCK_OWNER_`                varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `IS_COUNT_ENABLED_`          tinyint(4)                        DEFAULT NULL,
    `EVT_SUBSCR_COUNT_`          int(11)                           DEFAULT NULL,
    `TASK_COUNT_`                int(11)                           DEFAULT NULL,
    `JOB_COUNT_`                 int(11)                           DEFAULT NULL,
    `TIMER_JOB_COUNT_`           int(11)                           DEFAULT NULL,
    `SUSP_JOB_COUNT_`            int(11)                           DEFAULT NULL,
    `DEADLETTER_JOB_COUNT_`      int(11)                           DEFAULT NULL,
    `EXTERNAL_WORKER_JOB_COUNT_` int(11)                           DEFAULT NULL,
    `VAR_COUNT_`                 int(11)                           DEFAULT NULL,
    `ID_LINK_COUNT_`             int(11)                           DEFAULT NULL,
    `CALLBACK_ID_`               varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `CALLBACK_TYPE_`             varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `REFERENCE_ID_`              varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `REFERENCE_TYPE_`            varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `PROPAGATED_STAGE_INST_ID_`  varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    PRIMARY KEY (`ID_`),
    KEY `ACT_IDX_EXEC_BUSKEY` (`BUSINESS_KEY_`),
    KEY `ACT_IDC_EXEC_ROOT` (`ROOT_PROC_INST_ID_`),
    KEY `ACT_FK_EXE_PROCINST` (`PROC_INST_ID_`),
    KEY `ACT_FK_EXE_PARENT` (`PARENT_ID_`),
    KEY `ACT_FK_EXE_SUPER` (`SUPER_EXEC_`),
    KEY `ACT_FK_EXE_PROCDEF` (`PROC_DEF_ID_`),
    CONSTRAINT `ACT_FK_EXE_PARENT` FOREIGN KEY (`PARENT_ID_`) REFERENCES `ACT_RU_EXECUTION` (`ID_`) ON DELETE CASCADE,
    CONSTRAINT `ACT_FK_EXE_PROCDEF` FOREIGN KEY (`PROC_DEF_ID_`) REFERENCES `ACT_RE_PROCDEF` (`ID_`),
    CONSTRAINT `ACT_FK_EXE_PROCINST` FOREIGN KEY (`PROC_INST_ID_`) REFERENCES `ACT_RU_EXECUTION` (`ID_`) ON DELETE CASCADE ON UPDATE CASCADE,
    CONSTRAINT `ACT_FK_EXE_SUPER` FOREIGN KEY (`SUPER_EXEC_`) REFERENCES `ACT_RU_EXECUTION` (`ID_`) ON DELETE CASCADE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_RU_EXTERNAL_JOB
-- ----------------------------
DROP TABLE IF EXISTS `ACT_RU_EXTERNAL_JOB`;
CREATE TABLE `ACT_RU_EXTERNAL_JOB`
(
    `ID_`                  varchar(64) COLLATE utf8_bin  NOT NULL,
    `REV_`                 int(11)                            DEFAULT NULL,
    `CATEGORY_`            varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `TYPE_`                varchar(255) COLLATE utf8_bin NOT NULL,
    `LOCK_EXP_TIME_`       timestamp(3)                  NULL DEFAULT NULL,
    `LOCK_OWNER_`          varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `EXCLUSIVE_`           tinyint(1)                         DEFAULT NULL,
    `EXECUTION_ID_`        varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `PROCESS_INSTANCE_ID_` varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `PROC_DEF_ID_`         varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `ELEMENT_ID_`          varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `ELEMENT_NAME_`        varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `SCOPE_ID_`            varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `SUB_SCOPE_ID_`        varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `SCOPE_TYPE_`          varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `SCOPE_DEFINITION_ID_` varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `CORRELATION_ID_`      varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `RETRIES_`             int(11)                            DEFAULT NULL,
    `EXCEPTION_STACK_ID_`  varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `EXCEPTION_MSG_`       varchar(4000) COLLATE utf8_bin     DEFAULT NULL,
    `DUEDATE_`             timestamp(3)                  NULL DEFAULT NULL,
    `REPEAT_`              varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `HANDLER_TYPE_`        varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `HANDLER_CFG_`         varchar(4000) COLLATE utf8_bin     DEFAULT NULL,
    `CUSTOM_VALUES_ID_`    varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `CREATE_TIME_`         timestamp(3)                  NULL DEFAULT NULL,
    `TENANT_ID_`           varchar(255) COLLATE utf8_bin      DEFAULT '',
    PRIMARY KEY (`ID_`),
    KEY `ACT_IDX_EXTERNAL_JOB_EXCEPTION_STACK_ID` (`EXCEPTION_STACK_ID_`),
    KEY `ACT_IDX_EXTERNAL_JOB_CUSTOM_VALUES_ID` (`CUSTOM_VALUES_ID_`),
    KEY `ACT_IDX_EXTERNAL_JOB_CORRELATION_ID` (`CORRELATION_ID_`),
    KEY `ACT_IDX_EJOB_SCOPE` (`SCOPE_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_IDX_EJOB_SUB_SCOPE` (`SUB_SCOPE_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_IDX_EJOB_SCOPE_DEF` (`SCOPE_DEFINITION_ID_`, `SCOPE_TYPE_`),
    CONSTRAINT `ACT_FK_EXTERNAL_JOB_CUSTOM_VALUES` FOREIGN KEY (`CUSTOM_VALUES_ID_`) REFERENCES `ACT_GE_BYTEARRAY` (`ID_`),
    CONSTRAINT `ACT_FK_EXTERNAL_JOB_EXCEPTION` FOREIGN KEY (`EXCEPTION_STACK_ID_`) REFERENCES `ACT_GE_BYTEARRAY` (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_RU_HISTORY_JOB
-- ----------------------------
DROP TABLE IF EXISTS `ACT_RU_HISTORY_JOB`;
CREATE TABLE `ACT_RU_HISTORY_JOB`
(
    `ID_`                 varchar(64) COLLATE utf8_bin NOT NULL,
    `REV_`                int(11)                           DEFAULT NULL,
    `LOCK_EXP_TIME_`      timestamp(3)                 NULL DEFAULT NULL,
    `LOCK_OWNER_`         varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `RETRIES_`            int(11)                           DEFAULT NULL,
    `EXCEPTION_STACK_ID_` varchar(64) COLLATE utf8_bin      DEFAULT NULL,
    `EXCEPTION_MSG_`      varchar(4000) COLLATE utf8_bin    DEFAULT NULL,
    `HANDLER_TYPE_`       varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `HANDLER_CFG_`        varchar(4000) COLLATE utf8_bin    DEFAULT NULL,
    `CUSTOM_VALUES_ID_`   varchar(64) COLLATE utf8_bin      DEFAULT NULL,
    `ADV_HANDLER_CFG_ID_` varchar(64) COLLATE utf8_bin      DEFAULT NULL,
    `CREATE_TIME_`        timestamp(3)                 NULL DEFAULT NULL,
    `SCOPE_TYPE_`         varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `TENANT_ID_`          varchar(255) COLLATE utf8_bin     DEFAULT '',
    PRIMARY KEY (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_RU_IDENTITYLINK
-- ----------------------------
DROP TABLE IF EXISTS `ACT_RU_IDENTITYLINK`;
CREATE TABLE `ACT_RU_IDENTITYLINK`
(
    `ID_`                  varchar(64) COLLATE utf8_bin NOT NULL,
    `REV_`                 int(11)                       DEFAULT NULL,
    `GROUP_ID_`            varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `TYPE_`                varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `USER_ID_`             varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `TASK_ID_`             varchar(64) COLLATE utf8_bin  DEFAULT NULL,
    `PROC_INST_ID_`        varchar(64) COLLATE utf8_bin  DEFAULT NULL,
    `PROC_DEF_ID_`         varchar(64) COLLATE utf8_bin  DEFAULT NULL,
    `SCOPE_ID_`            varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `SUB_SCOPE_ID_`        varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `SCOPE_TYPE_`          varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `SCOPE_DEFINITION_ID_` varchar(255) COLLATE utf8_bin DEFAULT NULL,
    PRIMARY KEY (`ID_`),
    KEY `ACT_IDX_IDENT_LNK_USER` (`USER_ID_`),
    KEY `ACT_IDX_IDENT_LNK_GROUP` (`GROUP_ID_`),
    KEY `ACT_IDX_IDENT_LNK_SCOPE` (`SCOPE_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_IDX_IDENT_LNK_SUB_SCOPE` (`SUB_SCOPE_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_IDX_IDENT_LNK_SCOPE_DEF` (`SCOPE_DEFINITION_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_IDX_ATHRZ_PROCEDEF` (`PROC_DEF_ID_`),
    KEY `ACT_FK_TSKASS_TASK` (`TASK_ID_`),
    KEY `ACT_FK_IDL_PROCINST` (`PROC_INST_ID_`),
    CONSTRAINT `ACT_FK_ATHRZ_PROCEDEF` FOREIGN KEY (`PROC_DEF_ID_`) REFERENCES `ACT_RE_PROCDEF` (`ID_`),
    CONSTRAINT `ACT_FK_IDL_PROCINST` FOREIGN KEY (`PROC_INST_ID_`) REFERENCES `ACT_RU_EXECUTION` (`ID_`),
    CONSTRAINT `ACT_FK_TSKASS_TASK` FOREIGN KEY (`TASK_ID_`) REFERENCES `ACT_RU_TASK` (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_RU_JOB
-- ----------------------------
DROP TABLE IF EXISTS `ACT_RU_JOB`;
CREATE TABLE `ACT_RU_JOB`
(
    `ID_`                  varchar(64) COLLATE utf8_bin  NOT NULL,
    `REV_`                 int(11)                            DEFAULT NULL,
    `CATEGORY_`            varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `TYPE_`                varchar(255) COLLATE utf8_bin NOT NULL,
    `LOCK_EXP_TIME_`       timestamp(3)                  NULL DEFAULT NULL,
    `LOCK_OWNER_`          varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `EXCLUSIVE_`           tinyint(1)                         DEFAULT NULL,
    `EXECUTION_ID_`        varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `PROCESS_INSTANCE_ID_` varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `PROC_DEF_ID_`         varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `ELEMENT_ID_`          varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `ELEMENT_NAME_`        varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `SCOPE_ID_`            varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `SUB_SCOPE_ID_`        varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `SCOPE_TYPE_`          varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `SCOPE_DEFINITION_ID_` varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `CORRELATION_ID_`      varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `RETRIES_`             int(11)                            DEFAULT NULL,
    `EXCEPTION_STACK_ID_`  varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `EXCEPTION_MSG_`       varchar(4000) COLLATE utf8_bin     DEFAULT NULL,
    `DUEDATE_`             timestamp(3)                  NULL DEFAULT NULL,
    `REPEAT_`              varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `HANDLER_TYPE_`        varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `HANDLER_CFG_`         varchar(4000) COLLATE utf8_bin     DEFAULT NULL,
    `CUSTOM_VALUES_ID_`    varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `CREATE_TIME_`         timestamp(3)                  NULL DEFAULT NULL,
    `TENANT_ID_`           varchar(255) COLLATE utf8_bin      DEFAULT '',
    PRIMARY KEY (`ID_`),
    KEY `ACT_IDX_JOB_EXCEPTION_STACK_ID` (`EXCEPTION_STACK_ID_`),
    KEY `ACT_IDX_JOB_CUSTOM_VALUES_ID` (`CUSTOM_VALUES_ID_`),
    KEY `ACT_IDX_JOB_CORRELATION_ID` (`CORRELATION_ID_`),
    KEY `ACT_IDX_JOB_SCOPE` (`SCOPE_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_IDX_JOB_SUB_SCOPE` (`SUB_SCOPE_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_IDX_JOB_SCOPE_DEF` (`SCOPE_DEFINITION_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_FK_JOB_EXECUTION` (`EXECUTION_ID_`),
    KEY `ACT_FK_JOB_PROCESS_INSTANCE` (`PROCESS_INSTANCE_ID_`),
    KEY `ACT_FK_JOB_PROC_DEF` (`PROC_DEF_ID_`),
    CONSTRAINT `ACT_FK_JOB_CUSTOM_VALUES` FOREIGN KEY (`CUSTOM_VALUES_ID_`) REFERENCES `ACT_GE_BYTEARRAY` (`ID_`),
    CONSTRAINT `ACT_FK_JOB_EXCEPTION` FOREIGN KEY (`EXCEPTION_STACK_ID_`) REFERENCES `ACT_GE_BYTEARRAY` (`ID_`),
    CONSTRAINT `ACT_FK_JOB_EXECUTION` FOREIGN KEY (`EXECUTION_ID_`) REFERENCES `ACT_RU_EXECUTION` (`ID_`),
    CONSTRAINT `ACT_FK_JOB_PROCESS_INSTANCE` FOREIGN KEY (`PROCESS_INSTANCE_ID_`) REFERENCES `ACT_RU_EXECUTION` (`ID_`),
    CONSTRAINT `ACT_FK_JOB_PROC_DEF` FOREIGN KEY (`PROC_DEF_ID_`) REFERENCES `ACT_RE_PROCDEF` (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_RU_SUSPENDED_JOB
-- ----------------------------
DROP TABLE IF EXISTS `ACT_RU_SUSPENDED_JOB`;
CREATE TABLE `ACT_RU_SUSPENDED_JOB`
(
    `ID_`                  varchar(64) COLLATE utf8_bin  NOT NULL,
    `REV_`                 int(11)                            DEFAULT NULL,
    `CATEGORY_`            varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `TYPE_`                varchar(255) COLLATE utf8_bin NOT NULL,
    `EXCLUSIVE_`           tinyint(1)                         DEFAULT NULL,
    `EXECUTION_ID_`        varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `PROCESS_INSTANCE_ID_` varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `PROC_DEF_ID_`         varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `ELEMENT_ID_`          varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `ELEMENT_NAME_`        varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `SCOPE_ID_`            varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `SUB_SCOPE_ID_`        varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `SCOPE_TYPE_`          varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `SCOPE_DEFINITION_ID_` varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `CORRELATION_ID_`      varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `RETRIES_`             int(11)                            DEFAULT NULL,
    `EXCEPTION_STACK_ID_`  varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `EXCEPTION_MSG_`       varchar(4000) COLLATE utf8_bin     DEFAULT NULL,
    `DUEDATE_`             timestamp(3)                  NULL DEFAULT NULL,
    `REPEAT_`              varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `HANDLER_TYPE_`        varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `HANDLER_CFG_`         varchar(4000) COLLATE utf8_bin     DEFAULT NULL,
    `CUSTOM_VALUES_ID_`    varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `CREATE_TIME_`         timestamp(3)                  NULL DEFAULT NULL,
    `TENANT_ID_`           varchar(255) COLLATE utf8_bin      DEFAULT '',
    PRIMARY KEY (`ID_`),
    KEY `ACT_IDX_SUSPENDED_JOB_EXCEPTION_STACK_ID` (`EXCEPTION_STACK_ID_`),
    KEY `ACT_IDX_SUSPENDED_JOB_CUSTOM_VALUES_ID` (`CUSTOM_VALUES_ID_`),
    KEY `ACT_IDX_SUSPENDED_JOB_CORRELATION_ID` (`CORRELATION_ID_`),
    KEY `ACT_IDX_SJOB_SCOPE` (`SCOPE_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_IDX_SJOB_SUB_SCOPE` (`SUB_SCOPE_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_IDX_SJOB_SCOPE_DEF` (`SCOPE_DEFINITION_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_FK_SUSPENDED_JOB_EXECUTION` (`EXECUTION_ID_`),
    KEY `ACT_FK_SUSPENDED_JOB_PROCESS_INSTANCE` (`PROCESS_INSTANCE_ID_`),
    KEY `ACT_FK_SUSPENDED_JOB_PROC_DEF` (`PROC_DEF_ID_`),
    CONSTRAINT `ACT_FK_SUSPENDED_JOB_CUSTOM_VALUES` FOREIGN KEY (`CUSTOM_VALUES_ID_`) REFERENCES `ACT_GE_BYTEARRAY` (`ID_`),
    CONSTRAINT `ACT_FK_SUSPENDED_JOB_EXCEPTION` FOREIGN KEY (`EXCEPTION_STACK_ID_`) REFERENCES `ACT_GE_BYTEARRAY` (`ID_`),
    CONSTRAINT `ACT_FK_SUSPENDED_JOB_EXECUTION` FOREIGN KEY (`EXECUTION_ID_`) REFERENCES `ACT_RU_EXECUTION` (`ID_`),
    CONSTRAINT `ACT_FK_SUSPENDED_JOB_PROCESS_INSTANCE` FOREIGN KEY (`PROCESS_INSTANCE_ID_`) REFERENCES `ACT_RU_EXECUTION` (`ID_`),
    CONSTRAINT `ACT_FK_SUSPENDED_JOB_PROC_DEF` FOREIGN KEY (`PROC_DEF_ID_`) REFERENCES `ACT_RE_PROCDEF` (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_RU_TASK
-- ----------------------------
DROP TABLE IF EXISTS `ACT_RU_TASK`;
CREATE TABLE `ACT_RU_TASK`
(
    `ID_`                       varchar(64) COLLATE utf8_bin NOT NULL,
    `REV_`                      int(11)                           DEFAULT NULL,
    `EXECUTION_ID_`             varchar(64) COLLATE utf8_bin      DEFAULT NULL,
    `PROC_INST_ID_`             varchar(64) COLLATE utf8_bin      DEFAULT NULL,
    `PROC_DEF_ID_`              varchar(64) COLLATE utf8_bin      DEFAULT NULL,
    `TASK_DEF_ID_`              varchar(64) COLLATE utf8_bin      DEFAULT NULL,
    `SCOPE_ID_`                 varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `SUB_SCOPE_ID_`             varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `SCOPE_TYPE_`               varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `SCOPE_DEFINITION_ID_`      varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `PROPAGATED_STAGE_INST_ID_` varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `NAME_`                     varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `PARENT_TASK_ID_`           varchar(64) COLLATE utf8_bin      DEFAULT NULL,
    `DESCRIPTION_`              varchar(4000) COLLATE utf8_bin    DEFAULT NULL,
    `TASK_DEF_KEY_`             varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `OWNER_`                    varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `ASSIGNEE_`                 varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `DELEGATION_`               varchar(64) COLLATE utf8_bin      DEFAULT NULL,
    `PRIORITY_`                 int(11)                           DEFAULT NULL,
    `CREATE_TIME_`              timestamp(3)                 NULL DEFAULT NULL,
    `DUE_DATE_`                 datetime(3)                       DEFAULT NULL,
    `CATEGORY_`                 varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `SUSPENSION_STATE_`         int(11)                           DEFAULT NULL,
    `TENANT_ID_`                varchar(255) COLLATE utf8_bin     DEFAULT '',
    `FORM_KEY_`                 varchar(255) COLLATE utf8_bin     DEFAULT NULL,
    `CLAIM_TIME_`               datetime(3)                       DEFAULT NULL,
    `IS_COUNT_ENABLED_`         tinyint(4)                        DEFAULT NULL,
    `VAR_COUNT_`                int(11)                           DEFAULT NULL,
    `ID_LINK_COUNT_`            int(11)                           DEFAULT NULL,
    `SUB_TASK_COUNT_`           int(11)                           DEFAULT NULL,
    PRIMARY KEY (`ID_`),
    KEY `ACT_IDX_TASK_CREATE` (`CREATE_TIME_`),
    KEY `ACT_IDX_TASK_SCOPE` (`SCOPE_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_IDX_TASK_SUB_SCOPE` (`SUB_SCOPE_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_IDX_TASK_SCOPE_DEF` (`SCOPE_DEFINITION_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_FK_TASK_EXE` (`EXECUTION_ID_`),
    KEY `ACT_FK_TASK_PROCINST` (`PROC_INST_ID_`),
    KEY `ACT_FK_TASK_PROCDEF` (`PROC_DEF_ID_`),
    CONSTRAINT `ACT_FK_TASK_EXE` FOREIGN KEY (`EXECUTION_ID_`) REFERENCES `ACT_RU_EXECUTION` (`ID_`),
    CONSTRAINT `ACT_FK_TASK_PROCDEF` FOREIGN KEY (`PROC_DEF_ID_`) REFERENCES `ACT_RE_PROCDEF` (`ID_`),
    CONSTRAINT `ACT_FK_TASK_PROCINST` FOREIGN KEY (`PROC_INST_ID_`) REFERENCES `ACT_RU_EXECUTION` (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_RU_TIMER_JOB
-- ----------------------------
DROP TABLE IF EXISTS `ACT_RU_TIMER_JOB`;
CREATE TABLE `ACT_RU_TIMER_JOB`
(
    `ID_`                  varchar(64) COLLATE utf8_bin  NOT NULL,
    `REV_`                 int(11)                            DEFAULT NULL,
    `CATEGORY_`            varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `TYPE_`                varchar(255) COLLATE utf8_bin NOT NULL,
    `LOCK_EXP_TIME_`       timestamp(3)                  NULL DEFAULT NULL,
    `LOCK_OWNER_`          varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `EXCLUSIVE_`           tinyint(1)                         DEFAULT NULL,
    `EXECUTION_ID_`        varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `PROCESS_INSTANCE_ID_` varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `PROC_DEF_ID_`         varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `ELEMENT_ID_`          varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `ELEMENT_NAME_`        varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `SCOPE_ID_`            varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `SUB_SCOPE_ID_`        varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `SCOPE_TYPE_`          varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `SCOPE_DEFINITION_ID_` varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `CORRELATION_ID_`      varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `RETRIES_`             int(11)                            DEFAULT NULL,
    `EXCEPTION_STACK_ID_`  varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `EXCEPTION_MSG_`       varchar(4000) COLLATE utf8_bin     DEFAULT NULL,
    `DUEDATE_`             timestamp(3)                  NULL DEFAULT NULL,
    `REPEAT_`              varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `HANDLER_TYPE_`        varchar(255) COLLATE utf8_bin      DEFAULT NULL,
    `HANDLER_CFG_`         varchar(4000) COLLATE utf8_bin     DEFAULT NULL,
    `CUSTOM_VALUES_ID_`    varchar(64) COLLATE utf8_bin       DEFAULT NULL,
    `CREATE_TIME_`         timestamp(3)                  NULL DEFAULT NULL,
    `TENANT_ID_`           varchar(255) COLLATE utf8_bin      DEFAULT '',
    PRIMARY KEY (`ID_`),
    KEY `ACT_IDX_TIMER_JOB_EXCEPTION_STACK_ID` (`EXCEPTION_STACK_ID_`),
    KEY `ACT_IDX_TIMER_JOB_CUSTOM_VALUES_ID` (`CUSTOM_VALUES_ID_`),
    KEY `ACT_IDX_TIMER_JOB_CORRELATION_ID` (`CORRELATION_ID_`),
    KEY `ACT_IDX_TJOB_SCOPE` (`SCOPE_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_IDX_TJOB_SUB_SCOPE` (`SUB_SCOPE_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_IDX_TJOB_SCOPE_DEF` (`SCOPE_DEFINITION_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_FK_TIMER_JOB_EXECUTION` (`EXECUTION_ID_`),
    KEY `ACT_FK_TIMER_JOB_PROCESS_INSTANCE` (`PROCESS_INSTANCE_ID_`),
    KEY `ACT_FK_TIMER_JOB_PROC_DEF` (`PROC_DEF_ID_`),
    CONSTRAINT `ACT_FK_TIMER_JOB_CUSTOM_VALUES` FOREIGN KEY (`CUSTOM_VALUES_ID_`) REFERENCES `ACT_GE_BYTEARRAY` (`ID_`),
    CONSTRAINT `ACT_FK_TIMER_JOB_EXCEPTION` FOREIGN KEY (`EXCEPTION_STACK_ID_`) REFERENCES `ACT_GE_BYTEARRAY` (`ID_`),
    CONSTRAINT `ACT_FK_TIMER_JOB_EXECUTION` FOREIGN KEY (`EXECUTION_ID_`) REFERENCES `ACT_RU_EXECUTION` (`ID_`),
    CONSTRAINT `ACT_FK_TIMER_JOB_PROCESS_INSTANCE` FOREIGN KEY (`PROCESS_INSTANCE_ID_`) REFERENCES `ACT_RU_EXECUTION` (`ID_`),
    CONSTRAINT `ACT_FK_TIMER_JOB_PROC_DEF` FOREIGN KEY (`PROC_DEF_ID_`) REFERENCES `ACT_RE_PROCDEF` (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for ACT_RU_VARIABLE
-- ----------------------------
DROP TABLE IF EXISTS `ACT_RU_VARIABLE`;
CREATE TABLE `ACT_RU_VARIABLE`
(
    `ID_`           varchar(64) COLLATE utf8_bin  NOT NULL,
    `REV_`          int(11)                        DEFAULT NULL,
    `TYPE_`         varchar(255) COLLATE utf8_bin NOT NULL,
    `NAME_`         varchar(255) COLLATE utf8_bin NOT NULL,
    `EXECUTION_ID_` varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `PROC_INST_ID_` varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `TASK_ID_`      varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `SCOPE_ID_`     varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `SUB_SCOPE_ID_` varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `SCOPE_TYPE_`   varchar(255) COLLATE utf8_bin  DEFAULT NULL,
    `BYTEARRAY_ID_` varchar(64) COLLATE utf8_bin   DEFAULT NULL,
    `DOUBLE_`       double                         DEFAULT NULL,
    `LONG_`         bigint(20)                     DEFAULT NULL,
    `TEXT_`         varchar(4000) COLLATE utf8_bin DEFAULT NULL,
    `TEXT2_`        varchar(4000) COLLATE utf8_bin DEFAULT NULL,
    PRIMARY KEY (`ID_`),
    KEY `ACT_IDX_RU_VAR_SCOPE_ID_TYPE` (`SCOPE_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_IDX_RU_VAR_SUB_ID_TYPE` (`SUB_SCOPE_ID_`, `SCOPE_TYPE_`),
    KEY `ACT_FK_VAR_BYTEARRAY` (`BYTEARRAY_ID_`),
    KEY `ACT_IDX_VARIABLE_TASK_ID` (`TASK_ID_`),
    KEY `ACT_FK_VAR_EXE` (`EXECUTION_ID_`),
    KEY `ACT_FK_VAR_PROCINST` (`PROC_INST_ID_`),
    CONSTRAINT `ACT_FK_VAR_BYTEARRAY` FOREIGN KEY (`BYTEARRAY_ID_`) REFERENCES `ACT_GE_BYTEARRAY` (`ID_`),
    CONSTRAINT `ACT_FK_VAR_EXE` FOREIGN KEY (`EXECUTION_ID_`) REFERENCES `ACT_RU_EXECUTION` (`ID_`),
    CONSTRAINT `ACT_FK_VAR_PROCINST` FOREIGN KEY (`PROC_INST_ID_`) REFERENCES `ACT_RU_EXECUTION` (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for FLW_CHANNEL_DEFINITION
-- ----------------------------
DROP TABLE IF EXISTS `FLW_CHANNEL_DEFINITION`;
CREATE TABLE `FLW_CHANNEL_DEFINITION`
(
    `ID_`            varchar(255) COLLATE utf8mb4_bin NOT NULL,
    `NAME_`          varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    `VERSION_`       int(11)                          DEFAULT NULL,
    `KEY_`           varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    `CATEGORY_`      varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    `DEPLOYMENT_ID_` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    `CREATE_TIME_`   datetime(3)                      DEFAULT NULL,
    `TENANT_ID_`     varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    `RESOURCE_NAME_` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    `DESCRIPTION_`   varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    PRIMARY KEY (`ID_`),
    UNIQUE KEY `ACT_IDX_CHANNEL_DEF_UNIQ` (`KEY_`, `VERSION_`, `TENANT_ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_bin;

-- ----------------------------
-- Table structure for FLW_EV_DATABASECHANGELOG
-- ----------------------------
DROP TABLE IF EXISTS `FLW_EV_DATABASECHANGELOG`;
CREATE TABLE `FLW_EV_DATABASECHANGELOG`
(
    `ID`            varchar(255) COLLATE utf8mb4_bin NOT NULL,
    `AUTHOR`        varchar(255) COLLATE utf8mb4_bin NOT NULL,
    `FILENAME`      varchar(255) COLLATE utf8mb4_bin NOT NULL,
    `DATEEXECUTED`  datetime                         NOT NULL,
    `ORDEREXECUTED` int(11)                          NOT NULL,
    `EXECTYPE`      varchar(10) COLLATE utf8mb4_bin  NOT NULL,
    `MD5SUM`        varchar(35) COLLATE utf8mb4_bin  DEFAULT NULL,
    `DESCRIPTION`   varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    `COMMENTS`      varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    `TAG`           varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    `LIQUIBASE`     varchar(20) COLLATE utf8mb4_bin  DEFAULT NULL,
    `CONTEXTS`      varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    `LABELS`        varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    `DEPLOYMENT_ID` varchar(10) COLLATE utf8mb4_bin  DEFAULT NULL
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_bin;

-- ----------------------------
-- Records of FLW_EV_DATABASECHANGELOG
-- ----------------------------
BEGIN;
INSERT INTO `FLW_EV_DATABASECHANGELOG`
VALUES ('1', 'flowable', 'org/flowable/eventregistry/db/liquibase/flowable-eventregistry-db-changelog.xml',
        '2021-08-22 15:01:56', 1, 'EXECUTED', '8:1b0c48c9cf7945be799d868a2626d687',
        'createTable tableName=FLW_EVENT_DEPLOYMENT; createTable tableName=FLW_EVENT_RESOURCE; createTable tableName=FLW_EVENT_DEFINITION; createIndex indexName=ACT_IDX_EVENT_DEF_UNIQ, tableName=FLW_EVENT_DEFINITION; createTable tableName=FLW_CHANNEL_DEFIN...',
        '', NULL, '3.8.9', NULL, NULL, '9615716437');
COMMIT;

-- ----------------------------
-- Table structure for FLW_EV_DATABASECHANGELOGLOCK
-- ----------------------------
DROP TABLE IF EXISTS `FLW_EV_DATABASECHANGELOGLOCK`;
CREATE TABLE `FLW_EV_DATABASECHANGELOGLOCK`
(
    `ID`          int(11) NOT NULL,
    `LOCKED`      bit(1)  NOT NULL,
    `LOCKGRANTED` datetime                         DEFAULT NULL,
    `LOCKEDBY`    varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    PRIMARY KEY (`ID`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_bin;

-- ----------------------------
-- Records of FLW_EV_DATABASECHANGELOGLOCK
-- ----------------------------
BEGIN;
INSERT INTO `FLW_EV_DATABASECHANGELOGLOCK`
VALUES (1, b'0', NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for FLW_EVENT_DEFINITION
-- ----------------------------
DROP TABLE IF EXISTS `FLW_EVENT_DEFINITION`;
CREATE TABLE `FLW_EVENT_DEFINITION`
(
    `ID_`            varchar(255) COLLATE utf8mb4_bin NOT NULL,
    `NAME_`          varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    `VERSION_`       int(11)                          DEFAULT NULL,
    `KEY_`           varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    `CATEGORY_`      varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    `DEPLOYMENT_ID_` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    `TENANT_ID_`     varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    `RESOURCE_NAME_` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    `DESCRIPTION_`   varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    PRIMARY KEY (`ID_`),
    UNIQUE KEY `ACT_IDX_EVENT_DEF_UNIQ` (`KEY_`, `VERSION_`, `TENANT_ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_bin;

-- ----------------------------
-- Table structure for FLW_EVENT_DEPLOYMENT
-- ----------------------------
DROP TABLE IF EXISTS `FLW_EVENT_DEPLOYMENT`;
CREATE TABLE `FLW_EVENT_DEPLOYMENT`
(
    `ID_`                   varchar(255) COLLATE utf8mb4_bin NOT NULL,
    `NAME_`                 varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    `CATEGORY_`             varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    `DEPLOY_TIME_`          datetime(3)                      DEFAULT NULL,
    `TENANT_ID_`            varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    `PARENT_DEPLOYMENT_ID_` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    PRIMARY KEY (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_bin;

-- ----------------------------
-- Table structure for FLW_EVENT_RESOURCE
-- ----------------------------
DROP TABLE IF EXISTS `FLW_EVENT_RESOURCE`;
CREATE TABLE `FLW_EVENT_RESOURCE`
(
    `ID_`             varchar(255) COLLATE utf8mb4_bin NOT NULL,
    `NAME_`           varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    `DEPLOYMENT_ID_`  varchar(255) COLLATE utf8mb4_bin DEFAULT NULL,
    `RESOURCE_BYTES_` longblob,
    PRIMARY KEY (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_bin;

-- ----------------------------
-- Table structure for FLW_RU_BATCH
-- ----------------------------
DROP TABLE IF EXISTS `FLW_RU_BATCH`;
CREATE TABLE `FLW_RU_BATCH`
(
    `ID_`            varchar(64) COLLATE utf8_bin NOT NULL,
    `REV_`           int(11)                       DEFAULT NULL,
    `TYPE_`          varchar(64) COLLATE utf8_bin NOT NULL,
    `SEARCH_KEY_`    varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `SEARCH_KEY2_`   varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `CREATE_TIME_`   datetime(3)                  NOT NULL,
    `COMPLETE_TIME_` datetime(3)                   DEFAULT NULL,
    `STATUS_`        varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `BATCH_DOC_ID_`  varchar(64) COLLATE utf8_bin  DEFAULT NULL,
    `TENANT_ID_`     varchar(255) COLLATE utf8_bin DEFAULT '',
    PRIMARY KEY (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- Table structure for FLW_RU_BATCH_PART
-- ----------------------------
DROP TABLE IF EXISTS `FLW_RU_BATCH_PART`;
CREATE TABLE `FLW_RU_BATCH_PART`
(
    `ID_`            varchar(64) COLLATE utf8_bin NOT NULL,
    `REV_`           int(11)                       DEFAULT NULL,
    `BATCH_ID_`      varchar(64) COLLATE utf8_bin  DEFAULT NULL,
    `TYPE_`          varchar(64) COLLATE utf8_bin NOT NULL,
    `SCOPE_ID_`      varchar(64) COLLATE utf8_bin  DEFAULT NULL,
    `SUB_SCOPE_ID_`  varchar(64) COLLATE utf8_bin  DEFAULT NULL,
    `SCOPE_TYPE_`    varchar(64) COLLATE utf8_bin  DEFAULT NULL,
    `SEARCH_KEY_`    varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `SEARCH_KEY2_`   varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `CREATE_TIME_`   datetime(3)                  NOT NULL,
    `COMPLETE_TIME_` datetime(3)                   DEFAULT NULL,
    `STATUS_`        varchar(255) COLLATE utf8_bin DEFAULT NULL,
    `RESULT_DOC_ID_` varchar(64) COLLATE utf8_bin  DEFAULT NULL,
    `TENANT_ID_`     varchar(255) COLLATE utf8_bin DEFAULT '',
    PRIMARY KEY (`ID_`),
    KEY `FLW_IDX_BATCH_PART` (`BATCH_ID_`),
    CONSTRAINT `FLW_FK_BATCH_PART_PARENT` FOREIGN KEY (`BATCH_ID_`) REFERENCES `FLW_RU_BATCH` (`ID_`)
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8
  COLLATE = utf8_bin;

-- ----------------------------
-- 流程分类表
-- ----------------------------
DROP TABLE IF EXISTS `zz_flow_category`;
CREATE TABLE `zz_flow_category`
(
    `category_id`    bigint(20)                      NOT NULL COMMENT '主键Id',
    `name`           varchar(64) COLLATE utf8mb4_bin NOT NULL COMMENT '显示名称',
    `code`           varchar(64) COLLATE utf8mb4_bin NOT NULL COMMENT '分类编码',
    `show_order`     int(11)                         NOT NULL COMMENT '实现顺序',
    `update_time`    datetime                        NOT NULL COMMENT '更新时间',
    `update_user_id` bigint(20)                      NOT NULL COMMENT '更新者Id',
    `create_time`    datetime                        NOT NULL COMMENT '创建时间',
    `create_user_id` bigint(20)                      NOT NULL COMMENT '创建者Id',
    PRIMARY KEY (`category_id`) USING BTREE,
    UNIQUE KEY `uk_code` (`code`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_bin COMMENT ='流程分类表';

-- ----------------------------
-- 流程管理表
-- ----------------------------
DROP TABLE IF EXISTS `zz_flow_entry`;
CREATE TABLE `zz_flow_entry`
(
    `entry_id`                bigint(20)   NOT NULL COMMENT '主键',
    `process_definition_name` varchar(200) NOT NULL COMMENT '流程名称',
    `process_definition_key`  varchar(150) NOT NULL COMMENT '流程标识Key',
    `category_id`             bigint(20)   NOT NULL COMMENT '流程分类',
    `main_entry_publish_id`   bigint(20)    DEFAULT NULL COMMENT '工作流部署的发布主版本Id',
    `latest_publish_time`     datetime      DEFAULT NULL COMMENT '最新发布时间',
    `status`                  int(11)      NOT NULL COMMENT '流程状态',
    `bpmn_xml`                longtext COMMENT '流程定义的xml',
    `bind_form_type`          int(11)      NOT NULL COMMENT '绑定表单类型',
    `page_id`                 bigint(20)    DEFAULT NULL COMMENT '在线表单的页面Id',
    `default_form_id`         bigint(20)    DEFAULT NULL COMMENT '在线表单Id',
    `default_router_name`     varchar(255)  DEFAULT NULL COMMENT '静态表单的缺省路由名称',
    `encoded_rule`            varchar(255)  DEFAULT NULL COMMENT '工单表编码字段的编码规则',
    `extension_data`          varchar(3000) DEFAULT NULL COMMENT '流程的自定义扩展数据',
    `update_time`             datetime     NOT NULL COMMENT '更新时间',
    `update_user_id`          bigint(20)   NOT NULL COMMENT '更新者Id',
    `create_time`             datetime     NOT NULL COMMENT '创建时间',
    `create_user_id`          bigint(20)   NOT NULL COMMENT '创建者Id',
    PRIMARY KEY (`entry_id`) USING BTREE,
    UNIQUE KEY `uk_process_definition_key` (`process_definition_key`) USING BTREE,
    KEY `idx_category_id` (`category_id`) USING BTREE,
    KEY `idx_status` (`status`) USING BTREE,
    KEY `idx_process_definition_name` (`process_definition_name`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4 COMMENT ='流程管理表';

-- ----------------------------
-- 流程发布表
-- ----------------------------
DROP TABLE IF EXISTS `zz_flow_entry_publish`;
CREATE TABLE `zz_flow_entry_publish`
(
    `entry_publish_id`      bigint(20)                      NOT NULL COMMENT '主键Id',
    `entry_id`              bigint(20)                      NOT NULL COMMENT '流程Id',
    `process_definition_id` varchar(64) COLLATE utf8mb4_bin NOT NULL COMMENT '流程引擎的定义Id',
    `deploy_id`             varchar(64) COLLATE utf8mb4_bin NOT NULL COMMENT '流程引擎的部署Id',
    `publish_version`       int(11)                         NOT NULL COMMENT '发布版本',
    `active_status`         bit(1)                          NOT NULL COMMENT '激活状态',
    `main_version`          bit(1)                          NOT NULL COMMENT '是否为主版本',
    `create_user_id`        bigint(20)                      NOT NULL COMMENT '创建者Id',
    `publish_time`          datetime                        NOT NULL COMMENT '发布时间',
    `init_task_info`        text CHARACTER SET utf8mb4 COMMENT '第一个非开始节点任务的附加信息',
    PRIMARY KEY (`entry_publish_id`) USING BTREE,
    UNIQUE KEY `uk_process_definition_id` (`process_definition_id`) USING BTREE,
    KEY `idx_entry_id` (`entry_id`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_bin COMMENT ='流程发布表';

-- ----------------------------
-- 流程发布变量表
-- ----------------------------
DROP TABLE IF EXISTS `zz_flow_entry_publish_variable`;
CREATE TABLE `zz_flow_entry_publish_variable`
(
    `variable_id`        bigint(20)                       NOT NULL COMMENT '主键Id',
    `entry_publish_id`   bigint(20)                       NOT NULL COMMENT '流程Id',
    `variable_name`      varchar(255) COLLATE utf8mb4_bin NOT NULL COMMENT '变量名',
    `show_name`          varchar(255) COLLATE utf8mb4_bin NOT NULL COMMENT '显示名',
    `variable_type`      int(11)                          NOT NULL COMMENT '变量类型',
    `bind_datasource_id` bigint(20) DEFAULT NULL COMMENT '绑定数据源Id',
    `bind_relation_id`   bigint(20) DEFAULT NULL COMMENT '绑定数据源关联Id',
    `bind_column_id`     bigint(20) DEFAULT NULL COMMENT '绑定字段Id',
    `builtin`            bit(1)                           NOT NULL COMMENT '是否内置',
    PRIMARY KEY (`variable_id`) USING BTREE,
    KEY `idx_entry_publish_id` (`entry_publish_id`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_bin COMMENT ='流程发布变量表';

-- ----------------------------
-- 流程变量表
-- ----------------------------
DROP TABLE IF EXISTS `zz_flow_entry_variable`;
CREATE TABLE `zz_flow_entry_variable`
(
    `variable_id`        bigint(20)                       NOT NULL COMMENT '主键Id',
    `entry_id`           bigint(20)                       NOT NULL COMMENT '流程Id',
    `variable_name`      varchar(255) COLLATE utf8mb4_bin NOT NULL COMMENT '变量名',
    `show_name`          varchar(255) COLLATE utf8mb4_bin NOT NULL COMMENT '显示名',
    `variable_type`      int(11)                          NOT NULL COMMENT '变量类型',
    `bind_datasource_id` bigint(20) DEFAULT NULL COMMENT '绑定数据源Id',
    `bind_relation_id`   bigint(20) DEFAULT NULL COMMENT '绑定数据源关联Id',
    `bind_column_id`     bigint(20) DEFAULT NULL COMMENT '绑定字段Id',
    `builtin`            bit(1)                           NOT NULL COMMENT '是否内置',
    `create_time`        datetime                         NOT NULL COMMENT '创建时间',
    PRIMARY KEY (`variable_id`) USING BTREE,
    UNIQUE KEY `uk_entry_id_variable_name` (`entry_id`, `variable_name`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_bin COMMENT ='流程变量表';

-- ----------------------------
-- 流程任务审批表
-- ----------------------------
DROP TABLE IF EXISTS `zz_flow_task_comment`;
CREATE TABLE `zz_flow_task_comment`
(
    `id`                     bigint(20)                       NOT NULL COMMENT '主键Id',
    `process_instance_id`    varchar(64) COLLATE utf8mb4_bin  NOT NULL COMMENT '流程实例Id',
    `task_id`                varchar(64) COLLATE utf8mb4_bin  NOT NULL COMMENT '任务Id',
    `task_key`               varchar(255) COLLATE utf8mb4_bin NOT NULL COMMENT '任务标识',
    `task_name`              varchar(512) COLLATE utf8mb4_bin  DEFAULT NULL COMMENT '任务名称',
    `execution_id`           varchar(64) COLLATE utf8mb4_bin   DEFAULT NULL COMMENT '任务的执行Id',
    `multi_instance_exec_id` varchar(64) COLLATE utf8mb4_bin   DEFAULT NULL COMMENT '会签任务的执行Id',
    `approval_type`          varchar(32) COLLATE utf8mb4_bin  NOT NULL COMMENT '审批类型',
    `task_comment`           varchar(1024) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '批注内容',
    `delegate_assignee`      varchar(512) COLLATE utf8mb4_bin  DEFAULT NULL COMMENT '委托指定人，比如加签、转办等',
    `custom_business_data`   longtext COLLATE utf8mb4_bin COMMENT '自定义数据。开发者可自行扩展，推荐使用JSON格式数据',
    `create_user_id`         bigint(20)                       NOT NULL COMMENT '创建者Id',
    `create_login_name`      varchar(255) COLLATE utf8mb4_bin NOT NULL COMMENT '创建者登录名',
    `create_username`        varchar(255) COLLATE utf8mb4_bin NOT NULL COMMENT '创建者用户名',
    `create_time`            datetime                         NOT NULL COMMENT '创建时间',
    PRIMARY KEY (`id`) USING BTREE,
    KEY `idx_multi_instance_exec_id` (`multi_instance_exec_id`) USING BTREE,
    KEY `idx_process_instance_id` (`process_instance_id`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_bin COMMENT ='流程任务审批表';

-- ----------------------------
-- 流程多实例任务审批流水表
-- ----------------------------
DROP TABLE IF EXISTS `zz_flow_multi_instance_trans`;
CREATE TABLE `zz_flow_multi_instance_trans`
(
    `id`                     bigint                                                 NOT NULL COMMENT '主键Id',
    `process_instance_id`    varchar(64) COLLATE utf8mb4_bin                        NOT NULL COMMENT '流程实例Id',
    `task_id`                varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin  NOT NULL COMMENT '任务Id',
    `task_key`               varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '任务标识',
    `multi_instance_exec_id` varchar(64) COLLATE utf8mb4_bin                        NOT NULL COMMENT '会签任务的执行Id',
    `execution_id`           varchar(64) COLLATE utf8mb4_bin                        NOT NULL COMMENT '任务的执行Id',
    `assignee_list`          text CHARACTER SET utf8mb4 COLLATE utf8mb4_bin COMMENT '会签指派人列表',
    `create_user_id`         bigint(20)                                             NOT NULL COMMENT '创建者Id',
    `create_login_name`      varchar(255) COLLATE utf8mb4_bin                       NOT NULL COMMENT '创建者登录名',
    `create_username`        varchar(255) COLLATE utf8mb4_bin                       NOT NULL COMMENT '创建者用户名',
    `create_time`            datetime                                               NOT NULL COMMENT '创建时间',
    PRIMARY KEY (`id`),
    UNIQUE KEY `uk_execution_id` (`execution_id`) USING BTREE,
    KEY `idx_multi_instance_exec_id` (`multi_instance_exec_id`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_bin COMMENT ='流程多实例任务审批流水表';

-- ----------------------------
-- 流程流程图任务扩展表
-- ----------------------------
DROP TABLE IF EXISTS `zz_flow_task_ext`;
CREATE TABLE `zz_flow_task_ext`
(
    `process_definition_id` varchar(64) COLLATE utf8mb4_bin  NOT NULL COMMENT '流程引擎的定义Id',
    `task_id`               varchar(64) COLLATE utf8mb4_bin  NOT NULL COMMENT '流程引擎任务Id',
    `operation_list_json`   longtext COLLATE utf8mb4_bin COMMENT '操作列表JSON',
    `variable_list_json`    longtext COLLATE utf8mb4_bin COMMENT '变量列表JSON',
    `assignee_list_json`    text COLLATE utf8mb4_bin COMMENT '存储多实例的assigneeList的JSON',
    `group_type`            varchar(255) COLLATE utf8mb4_bin NOT NULL COMMENT '分组类型',
    `dept_post_list_json`   varchar(1024) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '保存岗位相关的数据',
    `role_ids`              varchar(1024) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '保存角色Id数据',
    `dept_ids`              varchar(1024) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '保存部门Id数据',
    `candidate_usernames`   varchar(4000) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '保存候选组用户名数据',
    `copy_list_json`        varchar(4000) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '抄送相关的数据',
    `extra_data_json`       text COLLATE utf8mb4_bin COMMENT '用户任务的扩展属性，存储为JSON的字符串格式',
    PRIMARY KEY (`process_definition_id`, `task_id`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_bin COMMENT ='流程流程图任务扩展表';

-- ----------------------------
-- 流程工单表
-- ----------------------------
DROP TABLE IF EXISTS `zz_flow_work_order`;
CREATE TABLE `zz_flow_work_order`
(
    `work_order_id`           bigint(20)                         NOT NULL COMMENT '主键Id',
    `work_order_code`         varchar(255) COLLATE utf8mb4_bin COMMENT '工单编码字段',
    `process_definition_key`  varchar(128) COLLATE utf8mb4_bin   NOT NULL COMMENT '流程定义标识',
    `process_definition_name` varchar(200) CHARACTER SET utf8mb4 NOT NULL COMMENT '流程名称',
    `process_definition_id`   varchar(64) COLLATE utf8mb4_bin    NOT NULL COMMENT '流程引擎的定义Id',
    `process_instance_id`     varchar(64) COLLATE utf8mb4_bin    NOT NULL COMMENT '流程实例Id',
    `online_table_id`         bigint(20)                                  DEFAULT NULL COMMENT '在线表单的主表Id',
    `table_name`              varchar(128) COLLATE utf8mb4_bin            DEFAULT NULL COMMENT '用于静态表单的表名',
    `business_key`            varchar(128) COLLATE utf8mb4_bin            DEFAULT NULL COMMENT '业务主键值',
    `task_id`                 varchar(64) COLLATE utf8mb4_bin             DEFAULT NULL COMMENT '未完成的任务Id',
    `task_name`               varchar(255) COLLATE utf8mb4_bin            DEFAULT NULL COMMENT '未完成的任务名称',
    `task_definition_key`     varchar(255) COLLATE utf8mb4_bin            DEFAULT NULL COMMENT '未完成的任务标识',
    `latest_approval_status`  int(11) COMMENT '最近的审批状态',
    `flow_status`             int(11)                            NOT NULL DEFAULT 0 COMMENT '流程状态',
    `submit_username`         varchar(64) COLLATE utf8mb4_bin    NOT NULL COMMENT '提交用户登录名称',
    `dept_id`                 bigint(20)                         NOT NULL COMMENT '提交用户所在部门Id',
    `update_time`             datetime                           NOT NULL COMMENT '更新时间',
    `update_user_id`          bigint(20)                         NOT NULL COMMENT '更新者Id',
    `create_time`             datetime                           NOT NULL COMMENT '创建时间',
    `create_user_id`          bigint(20)                         NOT NULL COMMENT '创建者Id',
    `deleted_flag`            int(11)                            NOT NULL COMMENT '删除标记(1: 正常 -1: 已删除)',
    PRIMARY KEY (`work_order_id`) USING BTREE,
    UNIQUE KEY `uk_process_instance_id` (`process_instance_id`) USING BTREE,
    KEY `idx_process_definition_key` (`process_definition_key`) USING BTREE,
    KEY `idx_create_user_id` (`create_user_id`) USING BTREE,
    KEY `idx_create_time` (`create_time`) USING BTREE,
    KEY `idx_dept_id` (`dept_id`) USING BTREE,
    KEY `idx_table_name` (`table_name`) USING BTREE,
    KEY `idx_business_key` (`business_key`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_bin COMMENT ='流程工单表';

-- ----------------------------
-- 流程工单扩展表
-- ----------------------------
DROP TABLE IF EXISTS `zz_flow_work_order_ext`;
CREATE TABLE `zz_flow_work_order_ext`
(
    `id`             bigint     NOT NULL COMMENT '主键Id',
    `work_order_id`  bigint     NOT NULL COMMENT '工单Id',
    `draft_data`     longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin COMMENT '草稿数据',
    `business_data`  longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin COMMENT '业务数据',
    `update_time`    datetime   NOT NULL COMMENT '更新时间',
    `update_user_id` bigint(20) NOT NULL COMMENT '更新者Id',
    `create_time`    datetime   NOT NULL COMMENT '创建时间',
    `create_user_id` bigint(20) NOT NULL COMMENT '创建者Id',
    `deleted_flag`   int(11)    NOT NULL COMMENT '删除标记(1: 正常 -1: 已删除)',
    PRIMARY KEY (`id`) USING BTREE,
    KEY `idx_work_order_id` (`work_order_id`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_bin COMMENT ='流程工单扩展表';

-- ----------------------------
-- 流程消息通知表
-- ----------------------------
DROP TABLE IF EXISTS `zz_flow_message`;
CREATE TABLE `zz_flow_message`
(
    `message_id`                 bigint(20)                       NOT NULL COMMENT '主键Id',
    `message_type`               tinyint(4)                       NOT NULL COMMENT '消息类型',
    `message_content`            varchar(1024) COLLATE utf8mb4_bin         DEFAULT NULL COMMENT '消息内容',
    `remind_count`               int(11)                                   DEFAULT 0 COMMENT '催办次数',
    `work_order_id`              bigint(20)                                DEFAULT NULL COMMENT '工单Id',
    `process_definition_id`      varchar(255) COLLATE utf8mb4_bin NOT NULL COMMENT '流程定义Id',
    `process_definition_key`     varchar(255) COLLATE utf8mb4_bin NOT NULL COMMENT '流程定义标识',
    `process_definition_name`    varchar(255) COLLATE utf8mb4_bin NOT NULL COMMENT '流程定义名称',
    `process_instance_id`        varchar(255) COLLATE utf8mb4_bin          DEFAULT NULL COMMENT '流程实例Id',
    `process_instance_initiator` varchar(255) COLLATE utf8mb4_bin          DEFAULT NULL COMMENT '流程实例发起者',
    `task_id`                    varchar(255) COLLATE utf8mb4_bin          DEFAULT NULL COMMENT '流程任务Id',
    `task_definition_key`        varchar(255) COLLATE utf8mb4_bin          DEFAULT NULL COMMENT '流程任务定义标识',
    `task_name`                  varchar(255) COLLATE utf8mb4_bin          DEFAULT NULL COMMENT '流程任务名称',
    `task_start_time`            datetime                                  DEFAULT NULL COMMENT '任务开始时间',
    `task_finished`              bit(1)                           NOT NULL DEFAULT b'0' COMMENT '任务是否已完成',
    `task_assignee`              varchar(64) COLLATE utf8mb4_bin           DEFAULT NULL COMMENT '任务指派人登录名',
    `business_data_shot`         longtext COLLATE utf8mb4_bin COMMENT '业务数据快照',
    `online_form_data`           bit(1) COMMENT '是否为在线表单消息数据',
    `update_time`                datetime                         NOT NULL COMMENT '更新时间',
    `update_user_id`             bigint(20)                       NOT NULL COMMENT '更新者Id',
    `create_time`                datetime                         NOT NULL COMMENT '创建时间',
    `create_user_id`             bigint(20)                       NOT NULL COMMENT '创建者Id',
    `create_username`            varchar(255) COLLATE utf8mb4_bin NOT NULL COMMENT '创建者显示名',
    PRIMARY KEY (`message_id`) USING BTREE,
    KEY `idx_notified_username` (`task_assignee`) USING BTREE,
    KEY `idx_process_instance_id` (`process_instance_id`) USING BTREE,
    KEY `idx_message_type` (`message_type`) USING BTREE,
    KEY `idx_task_id` (`task_id`) USING BTREE,
    KEY `idx_task_finished` (`task_finished`) USING BTREE,
    KEY `idx_update_time` (`update_time`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_bin COMMENT ='流程消息通知表';

-- ----------------------------
-- 流程消息通知候选人表
-- ----------------------------
DROP TABLE IF EXISTS `zz_flow_msg_candidate_identity`;
CREATE TABLE `zz_flow_msg_candidate_identity`
(
    `id`             bigint(20)                      NOT NULL COMMENT '主键Id',
    `message_id`     bigint(20)                      NOT NULL COMMENT '流程任务Id',
    `candidate_type` varchar(32) COLLATE utf8mb4_bin NOT NULL COMMENT '候选身份类型',
    `candidate_id`   varchar(32) COLLATE utf8mb4_bin NOT NULL COMMENT '候选身份Id',
    PRIMARY KEY (`id`),
    KEY `idx_candidate_id` (`candidate_id`) USING BTREE,
    KEY `idx_message_id` (`message_id`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_bin COMMENT ='流程消息通知候选人表';

-- ----------------------------
-- 流程消息候选人操作表
-- ----------------------------
DROP TABLE IF EXISTS `zz_flow_msg_identity_operation`;
CREATE TABLE `zz_flow_msg_identity_operation`
(
    `id`             bigint                                                NOT NULL COMMENT '主键Id',
    `message_id`     bigint                                                NOT NULL COMMENT '流程任务Id',
    `login_name`     varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT '用户登录名',
    `operation_type` int                                                   NOT NULL COMMENT '操作类型',
    `operation_time` datetime                                              NOT NULL COMMENT '操作时间',
    PRIMARY KEY (`id`),
    KEY `idx_message_id` (`message_id`) USING BTREE,
    KEY `idx_login_name` (`login_name`) USING BTREE
) ENGINE = InnoDB
  DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_bin COMMENT ='流程消息候选人操作表';

SET FOREIGN_KEY_CHECKS = 1;
